

package gov.va.med.via.common.person.correlation;


public interface PersonIdentifierManagementInterface
    extends
        PersonIdentifierCorrelationServiceInterface
{

    /**
     * Adds the person identifier to the system and registers the system as a system of interest with the MPI.
     * 
     * @param personIdentifier The person identifier that is being added and managed.
     */
    void managePersonIdentifier( PersonIdentifierInterface localPersonIdentifier, String nationalPersonIdentifier );
}
