package gov.va.med.via.common.validator;


public class IntegerEqualsValue1Validator extends IntegerValue1NotNullValidator {


	public IntegerEqualsValue1Validator(Rule rule, Object webMethodParameter) {
		super(rule, webMethodParameter);
	}

	@Override
	public void validate() throws ValidationException 
	{
		super.validate();
		if ( targetValue != value1AsInt )
		{
			throw new ValidationException(targetValue + " needs to be same as " + value1AsInt);
		}
	}
	@Override
	public String toJavadocString() 
	{
		return rule.target+ " needs to be same as " + rule.value1;	
	}

}
