package gov.va.med.via.common.validator;


public class IntegerMoreThanValue1Validator extends IntegerValue1NotNullValidator {


	public IntegerMoreThanValue1Validator(Rule rule, Object webMethodParameter) {
		super(rule, webMethodParameter);
	}

	@Override
	public void validate() throws ValidationException 
	{
		super.validate();
		if ( targetValue <= value1AsInt )
		{
			throw new ValidationException(targetValue + " should be more than  " + value1AsInt);
		}
	}

	@Override
	public String toJavadocString() 
	{
		return rule.target+ " should be more than " + rule.value1;	
	}

}
