package gov.va.med.via.common.validator;

public abstract class RuleValidator 
{
	protected Rule rule;
	protected Object webMethodParameter;
	
	public RuleValidator(Rule rule, Object webMethodParameter) 
	{
		super();
		this.rule = rule;
		this.webMethodParameter = webMethodParameter;
	}


	/*
	 * This methods checks if String target value is alphanumerically same as a particular value
	 * @exception the ValidationException related to the curent rule  
	 */
	public abstract void validate() throws ValidationException;
	
	public abstract String toJavadocString();

	
}