
package gov.va.med.via.databeans;

import java.util.Calendar;

/**
 *
 * @author vhahonbrunos
 */
public class NHINMedication extends BaseDataBean
{
    private String prescriptionID;
    private String orderID;
    private String id;
    private String locationCode;
    private String locationName;
    private String name;
    private Calendar start;
    private Calendar stop;
    private Calendar ordered;
    private Calendar expiration;
    private Calendar lastFilled;
    private int quantity;
    private int daysSupply;
    private int fillsAllowed;
    private int fillsRemaining;
    private String dose;
    private String doseUnits;
    private String doseUnitsPerDose;
    private String doseNoun;
    private String doseRoute;
    private String doseSchedule;
    private String routing;
    private String sig;
    private String status;
    private String type; //eg. value='Prescription'
    private String vaStatus;
    private String vaType;
    private String currentProviderCode;
    private String currentProviderName;
    private String fillCost;
    private String formType;
    private String orderingProviderCode;
    private String orderingProviderName;
    private String pharmacistCode;
    private String pharmacistName;
    private String productCode;
    private String productName;
    private String productRole;
    private String productClassCode;
    private String productVaGenericCode;
    private String productVaGenericName;
    private String productVaGenericVuid;
    private String productVaProductCode;
    private String productVaProductName;
    private String productVaProductVuid;


    public NHINMedication()
    {

    }

    public String getCurrentProviderCode() {
        return currentProviderCode;
    }

    public void setCurrentProviderCode(String currentProviderCode) {
        this.currentProviderCode = currentProviderCode;
    }

    public String getCurrentProviderName() {
        return currentProviderName;
    }

    public void setCurrentProviderName(String currentProviderName) {
        this.currentProviderName = currentProviderName;
    }

    public int getDaysSupply() {
        return daysSupply;
    }

    public void setDaysSupply(int daysSupply) {
        this.daysSupply = daysSupply;
    }

    public Calendar getExpiration() {
        return expiration;
    }

    public void setExpiration(Calendar expiration) {
        this.expiration = expiration;
    }

   

    public String getFillCost() {
        return fillCost;
    }

    public void setFillCost(String fillCost) {
        this.fillCost = fillCost;
    }

    public int getFillsAllowed() {
        return fillsAllowed;
    }

    public void setFillsAllowed(int fillsAllowed) {
        this.fillsAllowed = fillsAllowed;
    }

    public int getFillsRemaining() {
        return fillsRemaining;
    }

    public void setFillsRemaining(int fillsRemaining) {
        this.fillsRemaining = fillsRemaining;
    }

    public String getFormType() {
        return formType;
    }

    public void setFormType(String formType) {
        this.formType = formType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Calendar getLastFilled() {
        return lastFilled;
    }

    public void setLastFilled(Calendar lastFilled) {
        this.lastFilled = lastFilled;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getLocationName() {
        return locationName;
    }

    public void setLocationName(String locationName) {
        this.locationName = locationName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOrderID() {
        return orderID;
    }

    public void setOrderID(String orderID) {
        this.orderID = orderID;
    }

    public Calendar getOrdered() {
        return ordered;
    }

    public void setOrdered(Calendar ordered) {
        this.ordered = ordered;
    }

    public String getOrderingProviderCode() {
        return orderingProviderCode;
    }

    public void setOrderingProviderCode(String orderingProviderCode) {
        this.orderingProviderCode = orderingProviderCode;
    }

    public String getOrderingProviderName() {
        return orderingProviderName;
    }

    public void setOrderingProviderName(String orderingProviderName) {
        this.orderingProviderName = orderingProviderName;
    }

    public String getPharmacistCode() {
        return pharmacistCode;
    }

    public void setPharmacistCode(String pharmacistCode) {
        this.pharmacistCode = pharmacistCode;
    }

    public String getPharmacistName() {
        return pharmacistName;
    }

    public void setPharmacistName(String pharmacistName) {
        this.pharmacistName = pharmacistName;
    }

    public String getPrescriptionID() {
        return prescriptionID;
    }

    public void setPrescriptionID(String prescriptionID) {
        this.prescriptionID = prescriptionID;
    }

    public String getProductClassCode() {
        return productClassCode;
    }

    public void setProductClassCode(String productClassCode) {
        this.productClassCode = productClassCode;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductRole() {
        return productRole;
    }

    public void setProductRole(String productRole) {
        this.productRole = productRole;
    }

    public String getProductVaGenericCode() {
        return productVaGenericCode;
    }

    public void setProductVaGenericCode(String productVaGenericCode) {
        this.productVaGenericCode = productVaGenericCode;
    }

    public String getProductVaGenericName() {
        return productVaGenericName;
    }

    public void setProductVaGenericName(String productVaGenericName) {
        this.productVaGenericName = productVaGenericName;
    }

    public String getProductVaGenericVuid() {
        return productVaGenericVuid;
    }

    public void setProductVaGenericVuid(String productVaGenericVuid) {
        this.productVaGenericVuid = productVaGenericVuid;
    }

    public String getProductVaProductCode() {
        return productVaProductCode;
    }

    public void setProductVaProductCode(String productVaProductCode) {
        this.productVaProductCode = productVaProductCode;
    }

    public String getProductVaProductName() {
        return productVaProductName;
    }

    public void setProductVaProductName(String productVaProductName) {
        this.productVaProductName = productVaProductName;
    }

    public String getProductVaProductVuid() {
        return productVaProductVuid;
    }

    public void setProductVaProductVuid(String productVaProductVuid) {
        this.productVaProductVuid = productVaProductVuid;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public String getRouting() {
        return routing;
    }

    public void setRouting(String routing) {
        this.routing = routing;
    }

    public String getSig() {
        return sig;
    }

    public void setSig(String sig) {
        this.sig = sig;
    }

    public Calendar getStart() {
        return start;
    }

    public void setStart(Calendar start) {
        this.start = start;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Calendar getStop() {
        return stop;
    }

    public void setStop(Calendar stop) {
        this.stop = stop;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getVaStatus() {
        return vaStatus;
    }

    public void setVaStatus(String vaStatus) {
        this.vaStatus = vaStatus;
    }

    public String getVaType() {
        return vaType;
    }

    public void setVaType(String vaType) {
        this.vaType = vaType;
    }

    public String getDose() {
        return dose;
    }

    public void setDose(String dose) {
        this.dose = dose;
    }

    public String getDoseNoun() {
        return doseNoun;
    }

    public void setDoseNoun(String doseNoun) {
        this.doseNoun = doseNoun;
    }

    public String getDoseRoute() {
        return doseRoute;
    }

    public void setDoseRoute(String doseRoute) {
        this.doseRoute = doseRoute;
    }

    public String getDoseSchedule() {
        return doseSchedule;
    }

    public void setDoseSchedule(String doseSchedule) {
        this.doseSchedule = doseSchedule;
    }

    public String getDoseUnits() {
        return doseUnits;
    }

    public void setDoseUnits(String doseUnits) {
        this.doseUnits = doseUnits;
    }

    public String getDoseUnitsPerDose() {
        return doseUnitsPerDose;
    }

    public void setDoseUnitsPerDose(String doseUnitsPerDose) {
        this.doseUnitsPerDose = doseUnitsPerDose;
    }

   
}
