 
package gov.va.med.via.databeans;

/**
 * This class represents Outpatient Prescriptions.  
 */
public class Prescription extends Medication
{
 /**
   * Array of PrescriptionFill objects which is populated when requesting details
   * of an outpatient prescription.
   */
  private PrescriptionFill[] prescriptionFills;

  public Prescription()
  {
    prescriptionFills = null;
  }

 
  /**
   * Fills associated with a prescription.  Only populated when requesting details of
   * a prescription.
   */
  public PrescriptionFill[] getPrescriptionFills()
  {
    return prescriptionFills;
  }

  public void setPrescriptionFills(PrescriptionFill[] newPrescriptionFill)
  {
    prescriptionFills = newPrescriptionFill;
  }


}