
package gov.va.med.via.databeans;

import java.util.Calendar;

/**
 * This class is used to represent both ICD procedures and ICD Diagnoses.
 */
public class Procedure extends BaseDataBean
{
  /**
   * ICD code of the procedure/diagnosis.
   */
  private String code;
  /**
   * Decription of the procedure/diagnosis.
   */
  private String description;
  /**
   * Status of the procedure/diagnosis.
   */
  private String status;
  /**
   * Date of  the Procedure/Diagnosis.
   */
  private Calendar date;

  public Procedure()
  {
  }

  
  /**
   * ICD code of procedure/diagnosis.
   */
  public String getCode()
  {
    return code;
  }

  public void setCode(String newCode)
  {
    code = newCode;
  }

  /**
   * Descriptive text of procedure/diagnosis.
   */
  public String getDescription()
  {
    return description;
  }

  public void setDescription(String newDescription)
  {
    description = newDescription;
  }

  /**
   * Status of procedure/diagnosis.
   */
  public String getStatus()
  {
    return status;
  }

  public void setStatus(String newStatus)
  {
    status = newStatus;
  }


  /**
   * Date of  procedure/diagnosis.
   */
  public Calendar getDate()
  {
    return date;
  }

  
  public void setDate(Calendar newDate)
  {
    date = newDate;
  }
}