package gov.va.med.via.databeans;

/**
 * This contains the Rated Disability DataBean information.
 * @author ZZZZZZAPOSTI
 */
public class RatedDisability extends BaseDataBean
{
	/** The id. */
    private String id;
    
    /** The name. */
    private String name;
    
    /** The percent. */
    private String percent;
    
    /** The service connected. */
    private String serviceConnected;
    
    /** The extremity affected. */
    private String extremityAffected;
    
    /** The original effective date. */
    private String originalEffectiveDate;
    
    /** The current effective date. */
    private String currentEffectiveDate;


	/**
	 * Constructor.
	 */
	public RatedDisability() {
		super();
	}

	/**
	 * Returns the id.
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	/**
	 * Sets the id.
	 * @param id the id to set
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Returns the name.
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the name.
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Returns the percent.
	 * @return the percent
	 */
	public String getPercent() {
		return percent;
	}

	/**
	 * Sets the percent.
	 * @param percent the percent to set
	 */
	public void setPercent(String percent) {
		this.percent = percent;
	}

	/**
	 * Returns the service connected.
	 * @return the serviceConnected
	 */
	public String getServiceConnected() {
		return serviceConnected;
	}

	/**
	 * Sets the serviceConnected.
	 * @param serviceConnected the serviceConnected to set
	 */
	public void setServiceConnected(String serviceConnected) {
		this.serviceConnected = serviceConnected;
	}

	/**
	 * Returns the extremity affected.
	 * @return the extremityAffected
	 */
	public String getExtremityAffected() {
		return extremityAffected;
	}

	/**
	 * Sets the extremityAffected.
	 * @param extremityAffected the extremityAffected to set
	 */
	public void setExtremityAffected(String extremityAffected) {
		this.extremityAffected = extremityAffected;
	}

	/**
	 * Returns the original effected date.
	 * @return the originalEffectiveDate
	 */
	public String getOriginalEffectiveDate() {
		return originalEffectiveDate;
	}

	/**
	 * Sets the original effective date.
	 * @param originalEffectiveDate the originalEffectiveDate to set
	 */
	public void setOriginalEffectiveDate(String originalEffectiveDate) {
		this.originalEffectiveDate = originalEffectiveDate;
	}

	/**
	 * Returns the current effective date.
	 * @return the currentEffectiveDate
	 */
	public String getCurrentEffectiveDate() {
		return currentEffectiveDate;
	}

	/**
	 * Sets the current effective date.
	 * @param currentEffectiveDate the currentEffectiveDate to set
	 */
	public void setCurrentEffectiveDate(String currentEffectiveDate) {
		this.currentEffectiveDate = currentEffectiveDate;
	}
}