package gov.va.med.via.databeans;

/*
 * This class is value object used to hold details about a Visit
 */
public class Visit extends BaseDataBean{
	/** The type of Visit. */
	private String type;
	
	/** UTC timestamp of Visit. */
	private String timestamp;
	
	/** Hospital Location of Visit. */
	private HospitalLocation hospitalLocation;
	
	/** Status of Visit. */
	private String status;
	
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}
	public HospitalLocation getHospitalLocation() {
		return hospitalLocation;
	}
	public void setHospitalLocation(HospitalLocation hospitalLocation) {
		this.hospitalLocation = hospitalLocation;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	
	
}
