package gov.va.med.via.databeans.snomed;

import java.util.ArrayList;
import java.util.List;

public class SnoMedAttribute {
	
	String name;
    List<SnoMedConcept> concepts = new ArrayList<SnoMedConcept>();
	
    public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	public List<SnoMedConcept> getConcepts() {
		return concepts;
	}
	
	public void setConcepts(List<SnoMedConcept> concepts) {
		this.concepts = concepts;
	}

    public void addConcept(SnoMedConcept concept)
    {
        concepts.add(concept);
    }

    public boolean hasConcepts()
    {
        return concepts.size()>0 ? true : false;
    }

}
