package gov.va.med.via.hl7.mpi;

public class MpiConstants {

	public static final String VQQ_SENDING_APP = "MPI_LOAD";
    //public static final String VQQ_SENDING_FACILITY = "500";
    public static final String VQQ_SENDING_FACILITY = "200NVW";
    public static final String VQQ_RECEIVING_APP = "MPI-ICN";
    public static final String VQQ_RECEIVING_FACILITY = "200M";
    public static final String VQQ_MSG_CODE = "VQQ";
    public static final String VQQ_TRIGGER = "Q02";
    public static final String VQQ_MSG_CTL = "100000082-1";
    public static final String VQQ_PROCESSING_ID = "P";
    public static final String VQQ_VERSION_ID = "2.3";
    public static final String VQQ_ACCEPT_ACK_TYPE = "AL";
    public static final String VQQ_APP_ACK_TYPE = "AL";
    public static final String VQQ_COUNTRY_CODE = "USA";

    public static final String VQQ_QUERY_TAG = "MDWS";
    public static final String VQQ_FORMAT_CODE = "T";
    public static final String VQQ_QUERY_NAME_EXACT = "VTQ_PID_ICN_NO_LOAD";
    public static final String VQQ_QUERY_NAME_FUZZY = "VTQ_DISPLAY_ONLY_QUERY";
    public static final String VQQ_VIRTUAL_TABLE = "ICN";

    public static final String LASTNAME_FLDNAME = "@00108.1";
    public static final String FIRSTNAME_FLDNAME = "@00108.2";
    public static final String MIDDLENAME_FLDNAME = "@00108.3";
    public static final String NAMESUFFIX_FLDNAME = "@00108.4";
    public static final String SSN_FLDNAME = "@00122";
    public static final String DOB_FLDNAME = "@00110";
    public static final String SEX_FLDNAME = "@00111";
    public static final String ICN_FLDNAME = "@00105";
    public static final String CMOR_FLDNAME = "@00756";
    public static final String SITES_FLDNAME = "@00169";
    public static final String DECEASEDDATE_FLDNAME = "@00740";

    public static ColumnDescription FLD_LASTNAME = new ColumnDescription("@00108.1", "ST", 30);
    public static ColumnDescription FLD_SSN = new ColumnDescription("@00122", "ST", 9);
    public static ColumnDescription FLD_DOB = new ColumnDescription("@00110", "TS", 8);
    public static ColumnDescription FLD_FIRSTNAME = new ColumnDescription("@00108.2", "ST", 30);
    public static ColumnDescription FLD_DECEASED_DATE = new ColumnDescription("@00740", "TS", 8);
    public static ColumnDescription FLD_MIDDLENAME = new ColumnDescription("@00108.3", "ST", 16);
    public static ColumnDescription FLD_SEX = new ColumnDescription("@00111", "ST", 1);
    public static ColumnDescription FLD_POB_CITY = new ColumnDescription("@00126.1", "ST", 30);
    public static ColumnDescription FLD_POB_STATE = new ColumnDescription("@00126.2", "ST", 3);
    public static ColumnDescription FLD_NAME_SUFFIX = new ColumnDescription("@00108.4", "ST", 10);
    public static ColumnDescription FLD_ICN = new ColumnDescription("@00105", "ST", 19);
    public static ColumnDescription FLD_CMOR = new ColumnDescription("@00756", "ST", 6);
    public static ColumnDescription FLD_SITES = new ColumnDescription("@00169", "ST", 999);
	
	
}
