package gov.va.med.via.dao;

/**
 * Static constants calls containing name values assigned to DAO types
 * 
 * @author ZZZZZZTALBOM
 *
 */
public class DaoNameConstants
{
	public static final String ADMISSIONS_DAO = "admissions";
	public static final String ADHOCHEALTHSUMMARY_DAO = "adhocHealthSummary";
	public static final String ALLERGY_DAO = "allergy";
	public static final String ALL_ORDERS_DAO="allOrdersDao";
	public static final String APPOINTMENTS_DAO = "appointmentDao";
	public static final String APPOINTMENT_TEXT_DAO = "appointmentTextDao";
	public static final String CARE_TEAM_REPORTS_DAO = "careTeamReportsDao";
	public static final String CHEM_HEM_REPORTS_DAO = "chemHemReportsDao";
	public static final String CLINICS_DAO = "clinicsDao";
	public static final String CLOSE_NOTE_DAO = "CloseNoteDao";	
	public static final String CONFIDENTIALITY_DAO = "confidentialityDao";
	public static final String CONSULT_NOTE_DAO="consultNoteDao";
	public static final String CPRS_LAUNCH_PATIENT_SELECT_DAO = "cprslaunchPatientSelect";
	public static final String PRF_NOTE_ACTIONS_DAO="prfNoteActionsDao";
	public static final String RATED_DISABILITIES_FOR_PATIENT_DAO="ratedDisabilitiesForPatientDao";	
	public static final String CPRS_USERLOOKUP_DAO = "cprsUserLookup";
	public static final String CONSULT_DAO = "consult";	
	public static final String GENERIC_RPC_DAO="GenericRpcDao";
	public static final String GET_DRG_RECORDS_DAO = "GetDRGRecordsDao";
	public static final String GET_INPATIENT_DISCHARGES_DAO="GetInpatientDischargesDao";
	public static final String GET_VISTA_TIMESTAMPS_DAO = "GetVistaTimestampsDao";	
	public static final String HOSPITAL_LOCATIONS_DAO="hospitalLocationsDao";
	public static final String IMAGING_REPORT_DAO="imagingReportDao";
	public static final String INPATIENT_MOVE_DAO = "inpatientMove";
	public static final String ISSUE_CONFIDENTIALITY_BULLETIN_DAO = "issueConfidentialityBulletinDao";
	public static final String IS_VALID_ESIG_DAO="isValidEsigDao";
	public static final String LAB_TESTS_DAO="labTestsDao";
	public static final String LAB_TEST_DESCRIPTION_DAO="labTesTDescriptionDao";
	public static final String LATEST_VITAL_SIGNS_DAO="latestVitalSignsDao";
	public static final String LOCATIONS_DAO = "locationsDao";
	public static final String MATCH_BY_NAME_CITY_STATE_DAO="matchByNameCityStateDao";
	public static final String MEDICATION_DETAIL_DAO="medicationDetailDao";
	public static final String MEDS_DAO = "medsDao";
	public static final String MENTAL_HEALTH_INSTRUMENTS_FOR_PATIENT_DAO="mentalHealthInstrumentsForPatientDao";
	public static final String MENTAL_HEALTH_INSTRUMENT_RESULT_SET_DAO="mentalHealthInstrumentResultSetDao";
	public static final String NHIN_DATA_DAO="nhinDataDao";
	public static final String NOTES_WITH_TEXT_DAO="notesWithTextDao";
	public static final String NOTE_TYPE_QUESTIONS_DAO = "noteTypeQuestions";
	public static final String NOTE_TEXT_DAO = "noteText";	
	public static final String NOTE_TITLE_DAO = "noteTitle";
	public static final String OUTPATIENT_MEDS_DAO = "outpatientMedsDao";
	public static final String PATIENT_ASSOCIATES_DAO="patientAssociatesDao";
	public static final String PATIENT_CORRESPONDINGIDS_DAO="patientCorrespondingIdsDao";
	public static final String PATIENT_INQUIRY_DAO = "patientInquiryDao";
	public static final String PATIENT_MATCH_DAO = "patientMatch";	
	public static final String PATIENT_SELECT_DAO = "patientSelect";
	public static final String PCP_FOR_PATIENT_DAO = "pcpForPatientDao";
	public static final String PATIENT_SELECT_BY_ID_DAO = "patientSelectById";
	public static final String PROSTHETIC_CLAIMS_DAO = "prostheticClaimsDao";
	public static final String REPORT_REQUEST_DAO = "rReportRequestDao";	
	public static final String SIGNED_NOTES_DAO="signedNotesDao";
	public static final String SIGN_NOTE_DAO = "SignNoteDao";
	public static final String SPECIALTIES_DAO="specialtiesDao";
	public static final String SURGERY_REPORT_DAO = "surgeryReportDao";
	public static final String TEAMS_DAO = "teamsDao";
	public static final String UNCOSIGNED_NOTES_DAO="uncosignedNotesDao";
	public static final String UNSIGNED_NOTES_DAO="unsignedNotesDao";

	public static final String USER_DAO= "user";
	public static final String USER_SCLISTER_DAO = "userScLister";
	public static final String VISITS_DAO = "visitsDao";
	public static final String VISTA_ACCOUNT_DAO="VistaAccountDao";
	public static final String WARDS_DAO = "wardsDao";	
	public static final String WRITE_NOTE_DAO = "WriteNoteDao";
	public static final String WRITE_SIMPLE_ORDER_BY_POLICY_DAO="writeSimpleOrderByPolicyDao";
	public static final String STAY_MOVEMENT_ORHESTRATOR_DAO = "stayMovementOrchestrator";


	
	
}
