package gov.va.med.via.rpc;

import gov.va.med.via.common.validator.ValidationException;

/**
 * 
 * Constant class containing valid RPC Names
 * 
 * @author ZZZZZZTALBOM
 *
 */
public class RpcNameConstants {
	public static final String DG_SENSITIVE_RECORD_ACCESS = "DG SENSITIVE RECORD ACCESS";
	public static final String DG_SENSITIVE_RECORD_BULLETIN = "DG SENSITIVE RECORD BULLETIN";
	
	public static final String ORPRF_HASFLG = "ORPRF HASFLG";
	
	public static final String ORQQAL_LIST = "ORQQAL LIST";
	public static final String ORQQCN_DETAIL = "ORQQCN DETAIL";
	public static final String ORQQCN_LIST = "ORQQCN LIST";
	public static final String ORQPT_CLINIC_PATIENTS = "ORQPT CLINIC PATIENTS";
	public static final String ORQPT_PROVIDER_PATIENTS = "ORQPT PROVIDER PATIENTS";
	public static final String ORQPT_SPECIALTIES = "ORQPT SPECIALTIES";
	public static final String ORQPT_SPECIALTY_PATIENTS = "ORQPT SPECIALTY PATIENTS";
	public static final String ORQPT_TEAMS = "ORQPT TEAMS";
	public static final String ORQPT_TEAM_PATIENTS = "ORQPT TEAM PATIENTS";
	public static final String ORQPT_WARDRMBED = "ORQPT WARDRMBED";
	public static final String ORQPT_WARDS = "ORQPT WARDS";
	public static final String ORQQCN_GET_ORDER_NUMBER="ORQQCN GET ORDER NUMBER";
	public static final String ORQQVI_VITALS = "ORQQVI VITALS";
	public static final String ORVAA_ACTIVE_INSURANCE = "ORVAA VAA";
	public static final String ORWPS_ACTIVE = "ORWPS ACTIVE";
	public static final String ORWPS_DETAIL = "ORWPS DETAIL";
	public static final String ORWPT_PTINQ = "ORWPT PTINQ";
	public static final String ORWPT1_PCDETAIL = "ORWPT1 PCDETAIL";
	public static final String ORWSR_RPTLIST = "ORWSR RPTLIST";
	public static final String ORWDX_LOCK_ORDER = "ORWDX LOCK ORDER";
	public static final String ORWU_CLINICLOC = "ORWU CLINLOC";
	public static final String ORWDX_UNLOCK_ORDER = "ORWDX UNLOCK ORDER";
	public static final String ORWU_DT = "ORWU DT";
	

	public static final String ORWCIRN_FACLIST = "ORWCIRN FACLIST";
	public static final String ORWCV_DTLVST = "ORWCV DTLVST";
	public static final String ORWCV_VST = "ORWCV VST";
	public static final String ORWDXM1_BLDQRSP = "ORWDXM1 BLDQRSP";
	public static final String ORWDX_LOADRSP = "ORWDX LOADRSP";
	public static final String ORWDX_LOCK = "ORWDX LOCK";
	public static final String ORWDX_SEND = "ORWDX SEND";
	public static final String ORWDX_UNLOCK = "ORWDX UNLOCK";
	public static final String ORWDXA_OFCPLX = "ORWDXA OFCPLX";	
	public static final String ORWDXC_SESSION = "ORWDXC SESSION";
	public static final String ORWDXM_DLGNAME = "ORWDXM DLGNAME";
	public static final String ORWLRR_ALLTESTS = "ORWLRR ALLTESTS";
	public static final String ORWLRR_INFO = "ORWLRR INFO";
	public static final String ORWLRR_INTERIMG = "ORWLRR INTERIMG";
	public static final String ORRXN_NONVA_MEDS = "OR_RXN:HERBAL/OTC/NON-VA MEDS~NVA;ORDV06A;0;0";
	public static final String ORWORDG_MAPSEQ = "ORWORDG MAPSEQ";
	public static final String ORWORR_AGET = "ORWORR AGET";	
	public static final String ORWORR_GET4LST = "ORWORR GET4LST";
	public static final String ORWPT16_ID_INFO = "ORWPT16 ID INFO";
	public static final String ORWPT_ID_INFO = "ORWPT ID INFO";
	public static final String ORWPT_ADMITLST = "ORWPT ADMITLST";	
	public static final String ORWPT_BYWARD = "ORWPT BYWARD";
	public static final String ORWPT_DECEASED_DATE = "ORWPT DIEDON";
	public static final String ORWPT_FULLSSN  = "ORWPT FULLSSN";
	public static final String ORWPT_LAST5  = "ORWPT LAST5";
	public static final String ORWPT_LIST_ALL  = "ORWPT LIST ALL";
	public static final String ORWPT_SELECT  = "ORWPT SELECT";
	public static final String ORWRP_REPORT_TEXT = "ORWRP REPORT TEXT";
	public static final String ORWRP2_HS_COMPONENTS ="ORWRP2 HS COMPONENTS";
	public static final String ORWRP2_HS_REPORT_TEXT ="ORWRP2 HS REPORT TEXT";
	public static final String ORWTIU_CHKTXT = "ORWTIU CHKTXT";
	public static final String ORWU_NEWPERS = "ORWU NEWPERS";
	public static final String ORWU_USERINFO = "ORWU USERINFO";
	public static final String ORWU_VALIDSIG = "ORWU VALIDSIG";
	public static final String ORWU1_NEWLOC = "ORWU1 NEWLOC";
		
	public static final String ORWPT1_PRCARE = "ORWPT1 PRCARE";
	
	public static final String SC_LISTER = "SC LISTER";
	public static final String SC_GETS_ENTRY_DATA = "SC GETS ENTRY DATA";	
	
	public static final String TIU_AUTHORIZATION = "TIU AUTHORIZATION";
	public static final String TIU_CREATE_RECORD="TIU CREATE RECORD";
	public static final String TIU_DOCUMENTS_BY_CONTEXT = "TIU DOCUMENTS BY CONTEXT";
	public static final String TIU_GET_PRF_ACTIONS = "TIU GET PRF ACTIONS";
	public static final String TIU_GET_RECORD_TEXT = "TIU GET RECORD TEXT";
	public static final String TIU_HAS_AUTHOR_SIGNED = "TIU HAS AUTHOR SIGNED?";
	public static final String TIU_LOCK_RECORD = "TIU LOCK RECORD";
	public static final String TIU_LONG_LIST_OF_TITLES = "TIU LONG LIST OF TITLES";
	public static final String TIU_IS_THIS_A_CONSULT = "TIU IS THIS A CONSULT?";
	public static final String TIU_ONE_VISIT_NOTE = "TIU ONE VISIT NOTE?";
	public static final String TIU_IS_THIS_A_SURGERY = "TIU IS THIS A SURGERY?";
	public static final String TIU_ISPRF = "TIU ISPRF";
	public static final String TIU_REQUIRES_COSIGNATURE = "TIU REQUIRES COSIGNATURE";
	public static final String TIU_SET_DOCUMENT_TEXT="TIU SET DOCUMENT TEXT";
	public static final String TIU_SIGN_RECORD = "TIU SIGN RECORD";
	public static final String TIU_UNLOCK_RECORD = "TIU UNLOCK RECORD";
	public static final String TIU_UPDATE_RECORD="TIU UPDATE RECORD";
	public static final String TIU_WAS_THIS_SAVED = "TIU WAS THIS SAVED?";
	public static final String TIU_WHICH_SIGNATURE_ACTION="TIU WHICH SIGNATURE ACTION";
	
	public static final String VAFCTFU_CONVERT_ICN_TO_DFN="VAFCTFU CONVERT ICN TO DFN";

	public static final String VPR_GET_PATIENT_DATA="VPR GET PATIENT DATA";

	// Cannot use below in VistaLink. Need permission from Kernel Team
	public static final String XWB_CREATE_CONTEXT  = "XWB CREATE CONTEXT";
	public static final String XUS_AV_CODE = "XUS AV CODE";
	public static final String XUS_SIGNON_SETUP = "XUS SIGNON SETUP";
	
	//This block has list of Constants that are not RPC NAMES. They are patterns used to Validate input
	//and return the correct RPC names
	private static final String SSN_PATTERN = "\\d{9}";
	private static final String NAME_PATTERN = "[a-zA-Z]\\S*\\, *[a-zA-Z]\\S*";
	private static final String LAST5_PATTERN = "[a-zA-Z]\\d{4}";
	
	
	
	
	
	public static String getRpcNameForMatchInput(String input) throws ValidationException {
		String rpcName = "";
		if (input.matches(SSN_PATTERN) ){
			rpcName = ORWPT_FULLSSN;
		}else if (input.matches(NAME_PATTERN)){
			rpcName = ORWPT_LIST_ALL;
		}else if (input.matches(LAST5_PATTERN)){
			rpcName = ORWPT_LAST5;			
		}else{
			throw new ValidationException("Invalid input for Patient Search");
		}
		return rpcName;
	}
}

