package gov.va.med.via.vistalink.command;

import gov.va.med.via.vistalink.VistaRpcUserDuzTemplate;

/**
 * Type of VistaLinkCommand - restricts access of a VistaLinkTemplate to a UserDuz connection specification
 * 
 * @author ZZZZZZTALBOM
 *
 */
public interface VistaLinkDuzCommand extends VistaLinkCommand{
	
	/**
	 * sets the user's DUZ
	 * 
	 * @param userDuz
	 */
	public void setUserDuz(String userDuz);
	
	/**
	 * sets the type of VistaLinkTemplate
	 * 
	 * @param vistaLinkTemplate
	 */
	public void setVistaRpcUserDuzTemplate(VistaRpcUserDuzTemplate vistaLinkTemplate);

}
