package gov.va.med.via.vistalink.exception;

import gov.va.med.via.exception.AbstractViaBaseException;
import gov.va.med.via.exception.ErrorCodeEnum;

/**
 * Via exception when a client has not provided a DUZ for the user - indicates user has not logged in and been authenticated
 * @author ZZZZZZTALBOM
 *
 */
public class MissingDuzException extends AbstractViaBaseException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * Constructor
	 * @param errorCode
	 */
	public MissingDuzException(ErrorCodeEnum errorCode) {
		super(errorCode);
	}

	

		

}
