package gov.va.med.via.dto.common;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name="ClosestFacilityTO")
@XmlAccessorType(XmlAccessType.NONE)
public class ClosestFacilityTO
	extends AbstractTO
{
	
	/** The visn. */
	@XmlElement(name="visn")
	protected String visn;
	
	/** The city. */
	@XmlElement(name="city")
	protected String city;
	
	/** The state. */
	@XmlElement(name="state")
	protected String state;
	
	/** The county. */
	@XmlElement(name="county")
	protected String county;
	
	/** The zip. */
	@XmlElement(name="zip")
	protected String zip;
	
	/** The longitude. */
	@XmlElement(name="longitude")
	protected String longitude;
	
	/** The latitude. */
	@XmlElement(name="latitude")
	protected String latitude;
	
	/** The fips. */
	@XmlElement(name="fips")
	protected String fips;
	
	/** The msa. */
	@XmlElement(name="msa")
	protected String msa;
	
	/** The urb. */
	@XmlElement(name="urb")
	protected String urb;
	
	/** The nearest facility. */
	@XmlElement(name="nearestFacility")
	protected SiteTO nearestFacility;
	
	/** The nearest facility distance. */
	@XmlElement(name="nearestFacilityDistance")
	protected String nearestFacilityDistance;
	
	/** The nearest facility msa. */
	@XmlElement(name="nearestFacilityMsa")
	protected String nearestFacilityMsa;
	
	/** The nearest facility urb. */
	@XmlElement(name="nearestFacilityUrb")
	protected String nearestFacilityUrb;
	
	/** The nearest medical center. */
	@XmlElement(name="nearestMedicalCenter")
	protected SiteTO nearestMedicalCenter;
	
	/** The nearest medical center distance. */
	@XmlElement(name="nearestMedicalCenterDistance")
	protected String nearestMedicalCenterDistance;
	
	/** The nearest medical center msa. */
	@XmlElement(name="nearestMedicalCenterMsa")
	protected String nearestMedicalCenterMsa;
	
	/** The nearest medical center urb. */
	@XmlElement(name="nearestMedicalCenterUrb")
	protected String nearestMedicalCenterUrb;
	
	/** The nearest facility in region. */
	@XmlElement(name="nearestFacilityInRegion")
	protected SiteTO nearestFacilityInRegion;
	
	/** The nearest facility in region distance. */
	@XmlElement(name="nearestFacilityInRegionDistance")
	protected String nearestFacilityInRegionDistance;
	
	/** The nearest facility in region msa. */
	@XmlElement(name="nearestFacilityInRegionMsa")
	protected String nearestFacilityInRegionMsa;
	
	/** The nearest facility in region urb. */
	@XmlElement(name="nearestFacilityInRegionUrb")
	protected String nearestFacilityInRegionUrb;
	
	/** The nearest medical center in region. */
	@XmlElement(name="nearestMedicalCenterInRegion")
	protected SiteTO nearestMedicalCenterInRegion;
	
	/** The nearest medical center in region distance. */
	@XmlElement(name="nearestMedicalCenterInRegionDistance")
	protected String nearestMedicalCenterInRegionDistance;
	
	/** The nearest medical center in region msa. */
	@XmlElement(name="nearestMedicalCenterInRegionMsa")
	protected String nearestMedicalCenterInRegionMsa;
	
	/** The nearest medical center in region urb. */
	@XmlElement(name="nearestMedicalCenterInRegionUrb")
	protected String nearestMedicalCenterInRegionUrb;
	
	/**
	 * Gets the visn.
	 *
	 * @return the visn
	 */
	public String getVisn()
	{
		return visn;
	}
	
	/**
	 * Sets the visn.
	 *
	 * @param visn the new visn
	 */
	public void setVisn(String visn)
	{
		this.visn = visn;
	}
	
	/**
	 * Gets the city.
	 *
	 * @return the city
	 */
	public String getCity()
	{
		return city;
	}
	
	/**
	 * Sets the city.
	 *
	 * @param city the new city
	 */
	public void setCity(String city)
	{
		this.city = city;
	}
	
	/**
	 * Gets the state.
	 *
	 * @return the state
	 */
	public String getState()
	{
		return state;
	}
	
	/**
	 * Sets the state.
	 *
	 * @param state the new state
	 */
	public void setState(String state)
	{
		this.state = state;
	}
	
	/**
	 * Gets the county.
	 *
	 * @return the county
	 */
	public String getCounty()
	{
		return county;
	}
	
	/**
	 * Sets the county.
	 *
	 * @param county the new county
	 */
	public void setCounty(String county)
	{
		this.county = county;
	}
	
	/**
	 * Gets the zip.
	 *
	 * @return the zip
	 */
	public String getZip()
	{
		return zip;
	}
	
	/**
	 * Sets the zip.
	 *
	 * @param zip the new zip
	 */
	public void setZip(String zip)
	{
		this.zip = zip;
	}
	
	/**
	 * Gets the longitude.
	 *
	 * @return the longitude
	 */
	public String getLongitude()
	{
		return longitude;
	}
	
	/**
	 * Sets the longitude.
	 *
	 * @param longitude the new longitude
	 */
	public void setLongitude(String longitude)
	{
		this.longitude = longitude;
	}
	
	/**
	 * Gets the latitude.
	 *
	 * @return the latitude
	 */
	public String getLatitude()
	{
		return latitude;
	}
	
	/**
	 * Sets the latitude.
	 *
	 * @param latitude the new latitude
	 */
	public void setLatitude(String latitude)
	{
		this.latitude = latitude;
	}
	
	/**
	 * Gets the fips.
	 *
	 * @return the fips
	 */
	public String getFips()
	{
		return fips;
	}
	
	/**
	 * Sets the fips.
	 *
	 * @param fips the new fips
	 */
	public void setFips(String fips)
	{
		this.fips = fips;
	}
	
	/**
	 * Gets the msa.
	 *
	 * @return the msa
	 */
	public String getMsa()
	{
		return msa;
	}
	
	/**
	 * Sets the msa.
	 *
	 * @param msa the new msa
	 */
	public void setMsa(String msa)
	{
		this.msa = msa;
	}
	
	/**
	 * Gets the urb.
	 *
	 * @return the urb
	 */
	public String getUrb()
	{
		return urb;
	}
	
	/**
	 * Sets the urb.
	 *
	 * @param urb the new urb
	 */
	public void setUrb(String urb)
	{
		this.urb = urb;
	}
	
	/**
	 * Gets the nearest facility.
	 *
	 * @return the nearest facility
	 */
	public SiteTO getNearestFacility()
	{
		return nearestFacility;
	}
	
	/**
	 * Sets the nearest facility.
	 *
	 * @param nearestFacility the new nearest facility
	 */
	public void setNearestFacility(SiteTO nearestFacility)
	{
		this.nearestFacility = nearestFacility;
	}
	
	/**
	 * Gets the nearest facility distance.
	 *
	 * @return the nearest facility distance
	 */
	public String getNearestFacilityDistance()
	{
		return nearestFacilityDistance;
	}
	
	/**
	 * Sets the nearest facility distance.
	 *
	 * @param nearestFacilityDistance the new nearest facility distance
	 */
	public void setNearestFacilityDistance(String nearestFacilityDistance)
	{
		this.nearestFacilityDistance = nearestFacilityDistance;
	}
	
	/**
	 * Gets the nearest facility msa.
	 *
	 * @return the nearest facility msa
	 */
	public String getNearestFacilityMsa()
	{
		return nearestFacilityMsa;
	}
	
	/**
	 * Sets the nearest facility msa.
	 *
	 * @param nearestFacilityMsa the new nearest facility msa
	 */
	public void setNearestFacilityMsa(String nearestFacilityMsa)
	{
		this.nearestFacilityMsa = nearestFacilityMsa;
	}
	
	/**
	 * Gets the nearest facility urb.
	 *
	 * @return the nearest facility urb
	 */
	public String getNearestFacilityUrb()
	{
		return nearestFacilityUrb;
	}
	
	/**
	 * Sets the nearest facility urb.
	 *
	 * @param nearestFacilityUrb the new nearest facility urb
	 */
	public void setNearestFacilityUrb(String nearestFacilityUrb)
	{
		this.nearestFacilityUrb = nearestFacilityUrb;
	}
	
	/**
	 * Gets the nearest medical center.
	 *
	 * @return the nearest medical center
	 */
	public SiteTO getNearestMedicalCenter()
	{
		return nearestMedicalCenter;
	}
	
	/**
	 * Sets the nearest medical center.
	 *
	 * @param nearestMedicalCenter the new nearest medical center
	 */
	public void setNearestMedicalCenter(SiteTO nearestMedicalCenter)
	{
		this.nearestMedicalCenter = nearestMedicalCenter;
	}
	
	/**
	 * Gets the nearest medical center distance.
	 *
	 * @return the nearest medical center distance
	 */
	public String getNearestMedicalCenterDistance()
	{
		return nearestMedicalCenterDistance;
	}
	
	/**
	 * Sets the nearest medical center distance.
	 *
	 * @param nearestMedicalCenterDistance the new nearest medical center distance
	 */
	public void setNearestMedicalCenterDistance(String nearestMedicalCenterDistance)
	{
		this.nearestMedicalCenterDistance = nearestMedicalCenterDistance;
	}
	
	/**
	 * Gets the nearest medical center msa.
	 *
	 * @return the nearest medical center msa
	 */
	public String getNearestMedicalCenterMsa()
	{
		return nearestMedicalCenterMsa;
	}
	
	/**
	 * Sets the nearest medical center msa.
	 *
	 * @param nearestMedicalCenterMsa the new nearest medical center msa
	 */
	public void setNearestMedicalCenterMsa(String nearestMedicalCenterMsa)
	{
		this.nearestMedicalCenterMsa = nearestMedicalCenterMsa;
	}
	
	/**
	 * Gets the nearest medical center urb.
	 *
	 * @return the nearest medical center urb
	 */
	public String getNearestMedicalCenterUrb()
	{
		return nearestMedicalCenterUrb;
	}
	
	/**
	 * Sets the nearest medical center urb.
	 *
	 * @param nearestMedicalCenterUrb the new nearest medical center urb
	 */
	public void setNearestMedicalCenterUrb(String nearestMedicalCenterUrb)
	{
		this.nearestMedicalCenterUrb = nearestMedicalCenterUrb;
	}
	
	/**
	 * Gets the nearest facility in region.
	 *
	 * @return the nearest facility in region
	 */
	public SiteTO getNearestFacilityInRegion()
	{
		return nearestFacilityInRegion;
	}
	
	/**
	 * Sets the nearest facility in region.
	 *
	 * @param nearestFacilityInRegion the new nearest facility in region
	 */
	public void setNearestFacilityInRegion(SiteTO nearestFacilityInRegion)
	{
		this.nearestFacilityInRegion = nearestFacilityInRegion;
	}
	
	/**
	 * Gets the nearest facility in region distance.
	 *
	 * @return the nearest facility in region distance
	 */
	public String getNearestFacilityInRegionDistance()
	{
		return nearestFacilityInRegionDistance;
	}
	
	/**
	 * Sets the nearest facility in region distance.
	 *
	 * @param nearestFacilityInRegionDistance the new nearest facility in region distance
	 */
	public void setNearestFacilityInRegionDistance(
			String nearestFacilityInRegionDistance)
	{
		this.nearestFacilityInRegionDistance = nearestFacilityInRegionDistance;
	}
	
	/**
	 * Gets the nearest facility in region msa.
	 *
	 * @return the nearest facility in region msa
	 */
	public String getNearestFacilityInRegionMsa()
	{
		return nearestFacilityInRegionMsa;
	}
	
	/**
	 * Sets the nearest facility in region msa.
	 *
	 * @param nearestFacilityInRegionMsa the new nearest facility in region msa
	 */
	public void setNearestFacilityInRegionMsa(String nearestFacilityInRegionMsa)
	{
		this.nearestFacilityInRegionMsa = nearestFacilityInRegionMsa;
	}
	
	/**
	 * Gets the nearest facility in region urb.
	 *
	 * @return the nearest facility in region urb
	 */
	public String getNearestFacilityInRegionUrb()
	{
		return nearestFacilityInRegionUrb;
	}
	
	/**
	 * Sets the nearest facility in region urb.
	 *
	 * @param nearestFacilityInRegionUrb the new nearest facility in region urb
	 */
	public void setNearestFacilityInRegionUrb(String nearestFacilityInRegionUrb)
	{
		this.nearestFacilityInRegionUrb = nearestFacilityInRegionUrb;
	}
	
	/**
	 * Gets the nearest medical center in region.
	 *
	 * @return the nearest medical center in region
	 */
	public SiteTO getNearestMedicalCenterInRegion()
	{
		return nearestMedicalCenterInRegion;
	}
	
	/**
	 * Sets the nearest medical center in region.
	 *
	 * @param nearestMedicalCenterInRegion the new nearest medical center in region
	 */
	public void setNearestMedicalCenterInRegion(SiteTO nearestMedicalCenterInRegion)
	{
		this.nearestMedicalCenterInRegion = nearestMedicalCenterInRegion;
	}
	
	/**
	 * Gets the nearest medical center in region distance.
	 *
	 * @return the nearest medical center in region distance
	 */
	public String getNearestMedicalCenterInRegionDistance()
	{
		return nearestMedicalCenterInRegionDistance;
	}
	
	/**
	 * Sets the nearest medical center in region distance.
	 *
	 * @param nearestMedicalCenterInRegionDistance the new nearest medical center in region distance
	 */
	public void setNearestMedicalCenterInRegionDistance(
			String nearestMedicalCenterInRegionDistance)
	{
		this.nearestMedicalCenterInRegionDistance = nearestMedicalCenterInRegionDistance;
	}
	
	/**
	 * Gets the nearest medical center in region msa.
	 *
	 * @return the nearest medical center in region msa
	 */
	public String getNearestMedicalCenterInRegionMsa()
	{
		return nearestMedicalCenterInRegionMsa;
	}
	
	/**
	 * Sets the nearest medical center in region msa.
	 *
	 * @param nearestMedicalCenterInRegionMsa the new nearest medical center in region msa
	 */
	public void setNearestMedicalCenterInRegionMsa(
			String nearestMedicalCenterInRegionMsa)
	{
		this.nearestMedicalCenterInRegionMsa = nearestMedicalCenterInRegionMsa;
	}
	
	/**
	 * Gets the nearest medical center in region urb.
	 *
	 * @return the nearest medical center in region urb
	 */
	public String getNearestMedicalCenterInRegionUrb()
	{
		return nearestMedicalCenterInRegionUrb;
	}
	
	/**
	 * Sets the nearest medical center in region urb.
	 *
	 * @param nearestMedicalCenterInRegionUrb the new nearest medical center in region urb
	 */
	public void setNearestMedicalCenterInRegionUrb(
			String nearestMedicalCenterInRegionUrb)
	{
		this.nearestMedicalCenterInRegionUrb = nearestMedicalCenterInRegionUrb;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return "ClosestFacilityTO [visn=" + visn + ", city=" + city
				+ ", state=" + state + ", county=" + county + ", zip=" + zip
				+ ", longitude=" + longitude + ", latitude=" + latitude
				+ ", fips=" + fips + ", msa=" + msa + ", urb=" + urb
				+ ", nearestFacility=" + nearestFacility
				+ ", nearestFacilityDistance=" + nearestFacilityDistance
				+ ", nearestFacilityMsa=" + nearestFacilityMsa
				+ ", nearestFacilityUrb=" + nearestFacilityUrb
				+ ", nearestMedicalCenter=" + nearestMedicalCenter
				+ ", nearestMedicalCenterDistance="
				+ nearestMedicalCenterDistance + ", nearestMedicalCenterMsa="
				+ nearestMedicalCenterMsa + ", nearestMedicalCenterUrb="
				+ nearestMedicalCenterUrb + ", nearestFacilityInRegion="
				+ nearestFacilityInRegion
				+ ", nearestFacilityInRegionDistance="
				+ nearestFacilityInRegionDistance
				+ ", nearestFacilityInRegionMsa=" + nearestFacilityInRegionMsa
				+ ", nearestFacilityInRegionUrb=" + nearestFacilityInRegionUrb
				+ ", nearestMedicalCenterInRegion="
				+ nearestMedicalCenterInRegion
				+ ", nearestMedicalCenterInRegionDistance="
				+ nearestMedicalCenterInRegionDistance
				+ ", nearestMedicalCenterInRegionMsa="
				+ nearestMedicalCenterInRegionMsa
				+ ", nearestMedicalCenterInRegionUrb="
				+ nearestMedicalCenterInRegionUrb + ", toString()="
				+ super.toString() + "]";
	}
}