package gov.va.med.via.dto.common;

public interface FaultOwner {
	
	/**
	 * Gets the value of the fault property.
	 *
	 * @return the fault
	 * possible object is
	 * {@link FaultTO }
	 */
	public FaultTO getFault(); 
	
	/**
     * Sets the value of the fault property.
     * 
     * @param value
     *     allowed object is
     *     {@link FaultTO }
     *     
     */
	
    public void setFault(FaultTO value);
    
    /**
     * returns true if a fault has been set on the owner
     * 
     * @return boolean
     */
    public boolean hasFault();

}
