package gov.va.med.via.dto.common;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name="RegionArray")
@XmlAccessorType(XmlAccessType.NONE)
public class RegionArray extends AbstractArrayTO
{    
    /** The regions. */
	@XmlElementWrapper(name="regions")
	@XmlElement(name="regionTO")
    protected List<RegionTO> regions;

	public RegionArray() {
		super();
	}

	/**
	 * Gets the regions.
	 *
	 * @return the regions
	 */
	public List<RegionTO> getRegions()
	{
		return regions;
	}

	/**
	 * Sets the regions.
	 *
	 * @param regions the new regions
	 */
	public void setRegions(List<RegionTO> regions)
	{
		this.regions = regions;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return "RegionArray [regions=" + regions + ", toString()="
				+ super.toString() + "]";
	}
}
