package gov.va.med.via.dto.common;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name="TaggedVitalSignArray")
@XmlAccessorType(XmlAccessType.FIELD)
public class TaggedVitalSignArray
    extends AbstractTaggedArrayTO
{
    
    /** The vitals. */
	/** The patients. */
	@XmlElementWrapper(name="vitals")
	@XmlElement(name="vitalSignTO")	
    protected List<VitalSignTO> vitals;

	/**
	 * Gets the vitals.
	 *
	 * @return the vitals
	 */
	public List<VitalSignTO> getVitals()
	{
		return vitals;
	}

	/**
	 * Sets the vitals.
	 *
	 * @param vitals the new vitals
	 */
	public void setVitals(List<VitalSignTO> vitals)
	{
		this.vitals = vitals;
	}

	/* (non-Javadoc)
	 * @see gov.va.med.via.dto.common.AbstractTaggedArrayTO#toString()
	 */
	@Override
	public String toString()
	{
		return "TaggedVitalSignArray [vitals=" + vitals + ", toString()="
				+ super.toString() + "]";
	}
}