package gov.va.med.via.dto.common;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

/** The patients. */
@XmlRootElement(name="TaggedVitalSignArrays")
@XmlAccessorType(XmlAccessType.NONE)
public class TaggedVitalSignArrays
    extends AbstractArrayTO
{
	
	
	
	
	@XmlElementWrapper(name="arrays")
	@XmlElement(name="taggedVitalSignArray")	
    public List<TaggedVitalSignArray> arrays;

	/**
	 * Gets the arrays.
	 *
	 * @return the arrays
	 */
	public List<TaggedVitalSignArray> getArrays()
	{
		return arrays;
	}

	/**
	 * Sets the arrays.
	 *
	 * @param arrays the new arrays
	 */
	public void setArrays(List<TaggedVitalSignArray> arrays)
	{
		this.arrays = arrays;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return "TaggedVitalSignArrays [arrays=" + arrays + ", toString()="
				+ super.toString() + "]";
	}
}
