/**
 * 
 */


package gov.va.med.via.log4j.persistence.hibernate;


import gov.va.med.via.log4j.ApplicationLogEvent;
import gov.va.med.via.log4j.persistence.LoggerPersistenceManager;

import org.springframework.orm.hibernate3.HibernateTemplate;


/**
 *
 */
public class HibernateLoggerPersistenceManager
    implements
        LoggerPersistenceManager
{
    private HibernateTemplate loggerHibernateTemplate;
   

    /*
     * (non-Javadoc)
     * @see gov.va.med.via.log4j.persistence.LoggerPersistenceManager#persistApplicationLogEvent(gov.va.med.via.log4j.ApplicationLogEvent)
     */
    public void persistApplicationLogEvent( ApplicationLogEvent appLogEvent )
    {   
       loggerHibernateTemplate.save( appLogEvent );
    }


    public void setLoggerHibernateTemplate( HibernateTemplate loggerHibernateTemplate )
    {
        this.loggerHibernateTemplate = loggerHibernateTemplate;
    }

}