/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.via.rpc;

/**
 *
 * @author vhahonbrunos
 */
public class RPCUserOption extends UserOption
{
    public RPCUserOption() { }

    public RPCUserOption(String vistaRtn)
    {
        String[] flds = RPCStringUtils.split(vistaRtn, RPCStringUtils.CARET);
        this.setNumber(flds[0]);
        this.setId(flds[1]);
        this.setName(flds[2]);
    }
}
