/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.via.rpc;

import java.util.Map;

/**
 *
 * @author vhahonbrunos
 */
public class VistaFieldMapping
{
    private String type;
    private String vistaFileNum;
    private Map<String, String> decodeMap;

    public VistaFieldMapping() { }

    public VistaFieldMapping(String type)
    {
        this.type = type;
    }

    public Map<String, String> getDecodeMap() {
        return decodeMap;
    }

    public void setDecodeMap(Map<String, String> decodeMap) {
        this.decodeMap = decodeMap;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getVistaFileNum() {
        return vistaFileNum;
    }

    public void setVistaFileNum(String vistaFileNum) {
        this.vistaFileNum = vistaFileNum;
    }

    
}
