<%@ page language="java"%>
<!-- taglib uri="/tags/struts-html" prefix="html" -->
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ include file="include/cache-control.inc"%>

<html:html>
	<head>
		<meta http-equiv="Content-Type"
			content="text/html; charset=ISO-8859-1">
		<title>VistALink Configuration Editor</title>
<link rel="stylesheet" type="text/css" href="vistalinkj2m/standalone.css">
	</head>
	<body>

<script type="text/javascript">
<!--
function verifymoretime()
{
var message="${sessionTimeoutWarningIntervalMsg}";
alert(message);
}
function timer( ){
setTimeout("verifymoretime();",(${sessionTimeoutWarningTime}*1000));
}
timer(); // initial call to timer
// -->
</script>
	
	<%@ include file="include/toolbar1.inc"%>
		<html:link href="ConsoleMainAction.do" title="Jump to VistALink console main/top page">Console Main</html:link> &gt;
		<html:link href="ConfiguratorListAction.do" title="Configuration File Editor">Configuration File Editor</html:link> &gt;
		Edit Entry
	<%@ include file="include/toolbar2.inc"%>
	
	<html:errors />

	<h2>Edit Configuration Entry</h2>

   <html:form focus="${focusProperty}" method="post" action="ConfiguratorSaveAction.do">

	<div align="center">
   <TABLE cellSpacing=10 border=0 summary="Connector Configuration Edit Form">
   
    <TBODY align=left>
      
      <tr title="Connector Configuration Edit Form">
        <th style="border-bottom: 1px solid black;white-space: nowrap;" align="right" scope="col">Property</th>
        <th style="border-bottom: 1px solid black;" scope="col">Value</th>
      </tr>

      <tr title="The JNDI lookup name to associate with this connector">
	        <c:choose>
		        <c:when test="${isNew}">
			        <td style="white-space: nowrap;" align="right"><b><label for="${definitionLabel}jndiName"><u>J</u>NDI name:</label></b></td>
			        <td><html:text property="jndiName" accessKey="j" styleId="jndiName" /></td>
		        </c:when>
	   			<c:otherwise>
			        <td style="white-space: nowrap;" align="right"><b><label for="${definitionLabel}jndiName">JNDI name:</label></b></td>
			        <td><b><html:hidden property="jndiName" write="true" styleId="jndiName" /></b></td>
	        	</c:otherwise>
	        </c:choose>
      </tr>
      
      <tr title="The number of a primary station, configured for this connector">
        <td style="white-space: nowrap;" align="right"><label for="${definitionLabel}primaryStation">Primary <u>S</u>tation Number:</label></td>
        <td><html:text property="primaryStation" styleId="primaryStation" accessKey="s" title="The number of a primary station, configured for this connector" /></td>
      </tr>

      <tr title="if enabled, this configuration will be available for use by a connector (linked via JNDI name)">
        <td style="white-space: nowrap;" align="right"><label for="${definitionLabel}enabled"><u>E</u>nabled:</label></td>
        <td><html:checkbox property="enabled" styleId="enabled" accessKey="e" title="if enabled, this configuration will be available for use by a connector (linked via JNDI name)" />Specifies whether this connector is enabled.</td>
      </tr>
      
      <tr title="The IP address or DNS name of the M/VistA server that this connector will use to establish connectivity with the VistALink listener, residing on that M/VistA server">
        <td style="white-space: nowrap;" align="right"><label for="${definitionLabel}ip">VistALink M Listener's <u>I</u>P:</label></td>
        <td><html:text property="ip" styleId="ip" accessKey="i" title="The IP address or DNS name of the M/VistA server that this connector will use to establish connectivity with the VistALink listener, residing on that M/VistA server" /></td>
      </tr>
 
      <tr title="The port assignment of the M/VistA server that this connector will use to establish connectivity with the VistALink listener, residing on that M/VistA server">
        <td style="white-space: nowrap;" align="right"><label for="${definitionLabel}port">VistALink M Listener's <u>P</u>ort:</label></td>
        <td><html:text property="port" styleId="port" accessKey="p" title="The port assignment of the M/VistA server that this connector will use to establish connectivity with the VistALink listener, residing on that M/VistA server" /></td>
      </tr>
 
      <tr title="Access code for M connector proxy user">
        <td style="white-space: nowrap;" align="right"><label for="${definitionLabel}accessCode"><u>A</u>ccess code:</label></td>
        <td><html:password property="accessCode" styleId="accessCode" accessKey="a" title="Access code for M connector proxy user" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label for="${definitionLabel}accessCodeCheck">(repeat):</label><html:password property="accessCodeCheck" styleId="accessCodeCheck"/></td>
      </tr>

     <tr title="Verify code for M connector proxy user">
       <td style="white-space: nowrap;" align="right"><label for="${definitionLabel}verifyCode"><u>V</u>erify Code:</label></td>
       <td><html:password property="verifyCode" styleId="verifyCode" accessKey="v" title="Verify code for M connector proxy user" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label for="${definitionLabel}verifyCodeCheck">(repeat):</label><html:password property="verifyCodeCheck" styleId="verifyCodeCheck"/></td>
     </tr>
     
     <tr title="Span of time in seconds, after which connection is automatically terminated">
        <td style="white-space: nowrap;" align="right"><label for="${definitionLabel}timeout">Default <u>T</u>imeout:</label></td>
        <td><html:text property="timeout" styleId="timeout" accessKey="t" title="Span of time in seconds, after which connection is automatically terminated" /></td>
      </tr>
      
      <tr title="If checked, the &quot;Default Timeout&quot; will be the lowest timeout value allowed for this connector, and will also override any programmatically specified lower value set by an application">
        <td style="white-space: nowrap;" align="right" valign="top"><label for="${definitionLabel}alwaysUseDefaultAsMin">Default Timeout is <u>M</u>inimum:</label></td>
        <td><html:checkbox property="alwaysUseDefaultAsMin" styleId="alwaysUseDefaultAsMin" accessKey="m"title="If checked, the &quot;Default Timeout&quot; will be the lowest timeout value allowed for this connector, and will also override any programmatically specified lower value set by an application" /></td>
      </tr>
            
     <tr title="The timestamp (if present) of the last save operation, performed on this connector">
       <td style="white-space: nowrap;" align="right"><label for="${definitionLabel}timestamp">Last saved:</label></td>
       <td><html:hidden write="true" property="timestamp" styleId="timestamp" title="The timestamp (if present) of the last save operation, performed on this connector" /></td>
     </tr>

     <tr>
     	<td align="left"></td>
     	<td><html:submit title="Save this configuration"/>&nbsp;<html:cancel title="Cancel changes and return to configuration list" accessKey="c" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<c:if test='${!isNew}'><html:submit property="submitValue" value="Delete" title="Delete this configuration" accessKey="d" /></c:if></td>
     </tr>

     <tr>
     	<td colspan="2">  <html:hidden property="new" />
     	</td>
     </tr>
	
      <tr>
        <td colspan="2">Note: This page allows you to define a connector configuration on the ADMIN server.</td>
      </tr> 

    </TBODY>
  </TABLE>
  </div>
  </html:form>

		<%@ include file="include/footer.inc"%>
	</body>
</html:html>
  