<%@ page language="java"%>
<!-- taglib uri="/tags/struts-html" prefix="html" -->
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ include file="include/cache-control.inc"%>
<html:html>
	<head>
		<meta http-equiv="Content-Type"
			content="text/html; charset=ISO-8859-1">
		<title>VistALink Configuration Editor</title>
<link rel="stylesheet" type="text/css" href="vistalinkj2m/standalone.css">
	</head>
	<body>

<script type="text/javascript">
<!--
function verifymoretime()
{
var message="${sessionTimeoutWarningIntervalMsg}";
alert(message);
}
function timer( ){
setTimeout("verifymoretime();",(${sessionTimeoutWarningTime}*1000));
}
timer(); // initial call to timer
// -->
</script>
	
	<%@ include file="include/toolbar1.inc"%>
		<html:link href="ConsoleMainAction.do" title="Jump to VistALink console main/top page">Console Main</html:link> &gt; 
		<html:link href="ConfiguratorListAction.do" title="Configuration File Editor">Configuration File Editor</html:link> &gt;
		Change Encryption Type
	<%@ include file="include/toolbar2.inc"%>
		
	<html:errors />

	<h2>Change Encryption Type Confirmation</h2>
	
	<html:form method="post" action="ConfiguratorEncryptChangeTypeAction.do">
	<p>Do you really want to change the encryption type FROM 
	<c:choose>
	<c:when test="${empty currentlyScoped}"><b>unknown</b></c:when>
	<c:when test="${currentlyScoped}"><b>scoped</b></c:when>
	<c:when test="${!currentlyScoped}"><b>not scoped</b></c:when>
	<c:otherwise><b>unknown</b></c:otherwise>
	</c:choose>
	TO
	<c:choose>
	<c:when test="${empty currentlyScoped}"><b>unknown</b></c:when>
	<c:when test="${!currentlyScoped}"><b>scoped</b></c:when>
	<c:when test="${currentlyScoped}"><b>not scoped</b></c:when>
	<c:otherwise><b>unknown</b></c:otherwise>
	</c:choose>
	<br>for all encrypted entries?</p>
	
	<html:submit property="submitValue" value="Yes, Change Encryption Type" title="Change encryption type for all encrypted entries" accessKey="y"/> 
	<html:cancel title="Cancel encryption and return to edit" accessKey="c"/>
	<html:hidden property="isCurrentEncryptionScoped" />
	</html:form>

	<p>Encryption Types:</p>
	<ul>
	<li><b>Not Scoped:</b> Encrypted values can be decrypted in any java environment<br>(more transferrable, slightly less secure)<br>&nbsp;.
	
	<li><b>Scoped:</b> Encrypted values are only valid for decryption on same-named WebLogic domains<br>(not transferrable, slightly more secure).
	</ul>
		<%@ include file="include/footer.inc"%>

	</body>
</html:html>