<%@ page language="java" %>
<!-- taglib uri="/tags/struts-html" prefix="html" -->
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ include file="include/cache-control.inc" %>
<html:html>
	<head>
		<meta http-equiv="Content-Type"
			content="text/html; charset=ISO-8859-1">
		<title>VistALink Console</title>
<link rel="stylesheet" type="text/css" href="vistalinkj2m/standalone.css">
	</head>
	<body>

<script type="text/javascript">
<!--
function verifymoretime()
{
var message="${sessionTimeoutWarningIntervalMsg}";
alert(message);
}
function timer( ){
setTimeout("verifymoretime();",(${sessionTimeoutWarningTime}*1000));
}
timer(); // initial call to timer
// -->
</script>

		<%@ include file="include/toolbar1.inc"%>Console Main
		<%@ include file="include/toolbar2.inc"%>
		<html:errors />

		<h2 align="center">
			VistALink v1.6 Console
		</h2>

		<p align="center">
			<b>Live Connector Status (by Server):</b>
		</p>

		<div style="position:relative; left:50%; width:24em; margin-left:-12em; padding: 5px; border-style: solid; border-width: 1px; border-color: navy; font-size: inherit; overflow: auto;"
		 title="Server List">
			<p style="font-size:0.1em">&nbsp;</p>
			<ul>
				<c:forEach var="server" items="${serverset}">
					<li>
						<html:link href="DisplayConnectorListAction.do?server=${server.serverConstructorAttributes}" title="Live connector status on server ${server.serverName}">
							<c:out value="${server.serverName}" />
						</html:link>
					</li>
				</c:forEach>
			</ul>
			<p style="font-size:0.1em">&nbsp;</p>
		</div>
		
		<p align="center">
			<html:link href="ConfiguratorListAction.do" title="Edit configuration file on admin server, retrieve via classpath"><b>Configuration File Editor</b></html:link><br>
			<html:link href="ConfiguratorListAction.do" title="Edit configuration file on admin server, retrieve via classpath">(Admin Server only)</html:link>
		</p>

		<%@ include file="include/footer.inc"%>

	</body>
</html:html>
