<%@ page language="java"%>
<!-- taglib uri="/tags/struts-html" prefix="html" -->
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ include file="include/cache-control.inc"%>
<html:html>
	<head>
		<meta http-equiv="Content-Type"
			content="text/html; charset=ISO-8859-1">
		<title>VistALink Institution Mapping</title>
<link rel="stylesheet" type="text/css" href="vistalinkj2m/standalone.css">
	</head>
	<body>

<script type="text/javascript">
<!--
function verifymoretime()
{
var message="${sessionTimeoutWarningIntervalMsg}";
alert(message);
}
function timer( ){
setTimeout("verifymoretime();",(${sessionTimeoutWarningTime}*1000));
}
timer(); // initial call to timer
// -->
</script>
	
		<%@ include file="include/toolbar1.inc"%><html:link href="ConsoleMainAction.do" title="Jump to VistALink console main/top page">Console Main</html:link> &gt; 
		<html:link
			href="DisplayConnectorListAction.do?server=${server.serverConstructorAttributes}" title="Summary of deployed connectors">Connector Summary</html:link>
		- Institution Mapping
		<%@ include file="include/toolbar2.inc"%>

		<html:errors />

		<h2>
			Live Institution Mapping Associations for Server '${server.serverName}':
		</h2>
		
		<p>&nbsp;</p>	

		<div align="center">
		<table border="0" cellspacing="4" cellpadding="4" summary="List of Station-Number-to-Connector-JNDI-Name associations (mappings), as loaded from the VistALink configuration file during individual connector deployments.">
			<tr>
				<th align="left" style="border-bottom: 1px solid black" title="Station number associated with JNDI name" scope="col">
					Station #
				</th>
				<th align="left" style="border-bottom: 1px solid black" title="JNDI name associated with station number" scope="col">
					JNDI Name
				</th>
			</tr>
			<c:forEach var="con" items="${instMappingMap}">
				<tr>
					<td align="left" title="Station number associated with JNDI name" scope="row">
						<c:out value="${con.key}" />
					</td>
					<td align="left" title="JNDI name associated with station number">
						<c:out value="${con.value}" />
					</td>
				</tr>
			</c:forEach>
		</table>
		</div>
		
		<p>&nbsp;</p>
		<p>&nbsp;</p>
		<h3>Documentation Note: How Institution Mappings Are Used</h3>
		<ol>
			<li><i>Applications ask for the JNDI name to find a connector for a particular primary station or division</i>
			<li><i>VistALink derives the primary station# (e.g. 500) if a division (e.g. 500A) is passed)</i>
			<li><i>VistALink uses the mapping to return the connector JNDI name associated with the requested primary station#</i>
			<li><i>The application retrieves the specified VistALink connector from JNDI using the JNDI name</i>
			<li><i>The application executes functionality on M system at the other end of the connector.</i>
		</ol>

		<%@ include file="include/footer.inc"%>

	</body>
</html:html>
