
package gov.va.med.via.audit;

import gov.va.med.via.databeans.QueryBean;

import java.util.Date;

/**
 *  Interface defines the access methods of the data elements of the audit request
 *  
 *  @author ZZZZZZTALBOM
 */

public interface AuditRequest {
	
	//TBD - determine if the start/end datetimes can remain strings or if they need to be refactored into dates.
	public String getSiteId();
	public void setSiteId(String siteId);
	public String getUserId(); 
	public void setUserId(String userId); 
	public String getUserNpi(); 
	public void setUserNpi(String userNpi); 
	public String getUserName(); 
	public void setUserName(String userName); 
	public String getPatientId(); 
	public void setPatientId(String patientId); 
	public String getCategory(); 
	public void setCategory(String category); 
	public String getRequestingApp();
	public void setRequestingApp(String requestingApp); 
	public String getQueryStartDate(); 
	public void setQueryStartDate(String queryStartDate); 
	public String getQueryEndDate(); 
	public void setQueryEndDate(String queryEndDate); 
	public Date getRequestReceivedTime(); 
	public void setRequestReceivedTime(Date requestReceivedTime);
	public void setResponseSentTime(Date responseSentTime);
	public Date getResponseSentTime();
	public void setDuration(long duration);
	public long getDuration();
	public String getSuccess();
	public void setSuccess(String success);
	public String getItemId(); 
	public void setItemId(String itemId);
	public void setRecordSiteCode(String recordSiteCode);
	public String getRecordSiteCode();
	public String getTarget(); 
	public void setTarget(String target);
	public String getDirection();
	public void setDirection(String direction);
	public void setCriteria(String criteria);
	public String getCriteria();
	public void setMaxRecords(String maxRecords);
	public String getMaxRecords();
	public void setType(String type);
	public String getType();
	public void setStatus(String status);
	public String getStatus();
	
	public String getRequestContent(); 
	public void setRequestContent(String requestContent);
	//write specific values for audit - notes
	public String getNoteIen();
	public void setNoteIen(String noteIen);
	public String getTitleIen();
	public void setTitleIen(String titleIen);
	public String getEncounterString();
	public void setEncounterString(String encounter);
	public String getNoteText();
	public void setNoteText(String noteText);
	public void buildRequestContent(String webserviceAndWebserviceMethodName, QueryBean queryBean);
	
		
}
