package gov.va.med.via.common.validator;


public class IntegerBetweenValue1AndValue2Validator extends IntegerValue1and2NotNullValidator {


	public IntegerBetweenValue1AndValue2Validator(Rule rule, Object webMethodParameter) {
		super(rule, webMethodParameter);
	}

	@Override
	public void validate() throws ValidationException 
	{
		super.validate();
		if ( targetValue >= value2AsInt ||  targetValue <= value1AsInt){
			throw new ValidationException(rule.target + " value " + targetValue + " should be between  " + value1AsInt + " and " + value2AsInt);
		}
		
	}
	@Override
	public String toJavadocString() 
	{
		return rule.target+ " should be between " + rule.value1 + " and " + rule.value2;	
	}

}
