package gov.va.med.via.common.validator;


public class IntegerLessThanValue1Validator extends IntegerValue1NotNullValidator {

	
	public IntegerLessThanValue1Validator(Rule rule, Object webMethodParameter) {
		super(rule, webMethodParameter);
	}

	@Override
	public void validate() throws ValidationException 
	{
		super.validate();
		if ( targetValue >= value1AsInt )
		{
			throw new ValidationException(targetValue + " should be less than  " + value1AsInt);
		}
	}
	@Override
	public String toJavadocString() 
	{
		return rule.target+ " should be less than " + rule.value1;	
	}

}
