package gov.va.med.via.common.validator;

public class OptionalStringNotEmptyValidator extends StringValidator {

	public OptionalStringNotEmptyValidator(Rule rule, Object webMethodParameter) {
		super(rule, webMethodParameter);
	}

	@Override
	public void validate() throws ValidationException {
		super.validate();

		if ( targetValue!=null )
		{
			if ( targetValue.trim().isEmpty())
			{
				/// target = queryBean.startDate 
				/// targetValue = '12/7/1941'
				throw new ValidationException("" + rule.target+ " has been defined but cannot be empty");
			}
		}
	
	}

	@Override
	public String toJavadocString() 
	{
		return rule.target+ " has been defined but cannot be empty";
	}

}
