package gov.va.med.via.common.validator;


public class Value1EqualsValue2Validator extends Value1Value2Validator {

	public Value1EqualsValue2Validator(Rule rule, Object webMethodParameter) {
		super(rule, webMethodParameter);
	}

	@Override
	public void validate() throws ValidationException 
	{
		super.validate();
		
		if ( value1.compareTo(value2)!=0){
			throw new ValidationException(rule.getValue1() + " and " + rule.getValue2() + " should be equal");
		}

	}

	@Override
	public String toJavadocString() 
	{
		return rule.value1 + " and " + rule.value2 + " must have equal values";
	}

}
