
package gov.va.med.via.databeans;

/**
 * Alerts are information messages displayed to a user upon logging into the vista system.
 */
public class Alert extends BaseDataBean 
{
  /**
   * Represents the text displayed to the user.
   */
  private String MessageText;
  /**
   * InternalId of the alert.
   */
  private String AlertId;

  public Alert()
  {
  }
  

  /**
   * Display text for the alert to the user.
   */
  public String getMessageText()
  {
    return MessageText;
  }

  public void setMessageText(String newMessageText)
  {
    MessageText = newMessageText;
  }

  /**
   * Internal Id of the alert.
   */
  public String getAlertId()
  {
    return AlertId;
  }

  public void setAlertId(String newAlertId)
  {
    AlertId = newAlertId;
  }

}