/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.via.databeans;

import java.util.Calendar;
import java.util.List;

/**
 *
 * @author vhahonbrunos
 */
public class NHINLabOrder extends BaseDataBean
{
    private List<NHINLab> labs;
    private String orderName;
    private Calendar collectedDate;
    private String specimen;
    private String sample;
    private String accessionNumber;

    public List<NHINLab> getLabs()
    {
        return labs;
    }

    public void setLabs(List<NHINLab> labs)
    {
        this.labs = labs;
    }

    public String getOrderName()
    {
        return orderName;
    }

    public void setOrderName(String orderName)
    {
        this.orderName = orderName;
    }

    public Calendar getCollectedDate()
    {
        return collectedDate;
    }

    public void setCollectedDate(Calendar collectedDate)
    {
        this.collectedDate = collectedDate;
    }

    public String getAccessionNumber()
    {
        return accessionNumber;
    }

    public void setAccessionNumber(String accessionNumber)
    {
        this.accessionNumber = accessionNumber;
    }

    public String getSample()
    {
        return sample;
    }

    public void setSample(String sample)
    {
        this.sample = sample;
    }

    public String getSpecimen()
    {
        return specimen;
    }

    public void setSpecimen(String specimen)
    {
        this.specimen = specimen;
    }
}
