package gov.va.med.via.databeans;

public class NoteResult extends BaseDataBean
{
    /** The id. */
    protected String id;
    
    /** The total pages. */
    protected Integer totalPages;
    
    /** The last page recd. */
    protected Integer lastPageRecd;
    
    /** The explanation. */
    protected String explanation;
    
	public NoteResult() {
	}
	
	public NoteResult(String noteIEN, int npages, int pagenum)
	{
		this.id=noteIEN;
		this.totalPages=npages;
		this.lastPageRecd=pagenum;		
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return "NoteResult [id=" + id + ", totalPages=" + totalPages
				+ ", lastPageRecd=" + lastPageRecd + ", explanation="
				+ explanation + ", toString()=" + super.toString() + "]";
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getTotalPages() {
		return totalPages;
	}

	public void setTotalPages(Integer totalPages) {
		this.totalPages = totalPages;
	}

	public Integer getLastPageRecd() {
		return lastPageRecd;
	}

	public void setLastPageRecd(Integer lastPageRecd) {
		this.lastPageRecd = lastPageRecd;
	}

	public String getExplanation() {
		return explanation;
	}

	public void setExplanation(String explanation) {
		this.explanation = explanation;
	}
}
