package gov.va.med.via.databeans;

import java.util.HashMap;

/**
 * The Class Person.
 * 
 * @author DOMAINROMERJ
 */
public class Person extends BaseDataBean
{
    
    /** The id. */
    protected String id;
    
    /** The name. */
    protected String name;
    
    /** The ssn. */
    protected String ssn;
    
    /** The gender. */
    protected String gender;
    
    /** The dob. */
    protected String dob;
    
    /** The ethnicity. */
    protected String ethnicity;
    
    /** The age. */
    protected Integer age;
    
    /** The marital status. */
    protected String maritalStatus;
    
    /** The home address. */
    protected Address homeAddress;
    
    /** The home phone. */
    protected PhoneNum homePhone;
    
    /** The cell phone. */
    protected PhoneNum cellPhone;
    
    /** The email. */
    protected String email;
    
    /** The demographics. */
    protected HashMap<String, DemographicSet> demographics;
    
	/**
	 * Gets the id.
	 *
	 * @return the id
	 */
	public String getId()
	{
		return id;
	}
	
	/**
	 * Sets the id.
	 *
	 * @param id the new id
	 */
	public void setId(String id)
	{
		this.id = id;
	}
	
	/**
	 * Gets the name.
	 *
	 * @return the name
	 */
	public String getName()
	{
		return name;
	}
	
	/**
	 * Sets the name.
	 *
	 * @param name the new name
	 */
	public void setName(String name)
	{
		this.name = name;
	}
	
	/**
	 * Gets the ssn.
	 *
	 * @return the ssn
	 */
	public String getSsn()
	{
		return ssn;
	}
	
	/**
	 * Sets the ssn.
	 *
	 * @param ssn the new ssn
	 */
	public void setSsn(String ssn)
	{
		this.ssn = ssn;
	}
	
	/**
	 * Gets the gender.
	 *
	 * @return the gender
	 */
	public String getGender()
	{
		return gender;
	}
	
	/**
	 * Sets the gender.
	 *
	 * @param gender the new gender
	 */
	public void setGender(String gender)
	{
		this.gender = gender;
	}
	
	/**
	 * Gets the dob.
	 *
	 * @return the dob
	 */
	public String getDob()
	{
		return dob;
	}
	
	/**
	 * Sets the dob.
	 *
	 * @param dob the new dob
	 */
	public void setDob(String dob)
	{
		this.dob = dob;
	}
	
	/**
	 * Gets the ethnicity.
	 *
	 * @return the ethnicity
	 */
	public String getEthnicity()
	{
		return ethnicity;
	}
	
	/**
	 * Sets the ethnicity.
	 *
	 * @param ethnicity the new ethnicity
	 */
	public void setEthnicity(String ethnicity)
	{
		this.ethnicity = ethnicity;
	}
	
	/**
	 * Gets the age.
	 *
	 * @return the age
	 */
	public Integer getAge()
	{
		return age;
	}
	
	/**
	 * Sets the age.
	 *
	 * @param age the new age
	 */
	public void setAge(Integer age)
	{
		this.age = age;
	}
	
	/**
	 * Gets the marital status.
	 *
	 * @return the marital status
	 */
	public String getMaritalStatus()
	{
		return maritalStatus;
	}
	
	/**
	 * Sets the marital status.
	 *
	 * @param maritalStatus the new marital status
	 */
	public void setMaritalStatus(String maritalStatus)
	{
		this.maritalStatus = maritalStatus;
	}
	
	/**
	 * Gets the home address.
	 *
	 * @return the home address
	 */
	public Address getHomeAddress()
	{
		return homeAddress;
	}
	
	/**
	 * Sets the home address.
	 *
	 * @param homeAddress the new home address
	 */
	public void setHomeAddress(Address homeAddress)
	{
		this.homeAddress = homeAddress;
	}
	
	/**
	 * Gets the home phone.
	 *
	 * @return the home phone
	 */
	public PhoneNum getHomePhone()
	{
		return homePhone;
	}
	
	/**
	 * Sets the home phone.
	 *
	 * @param homePhone the new home phone
	 */
	public void setHomePhone(PhoneNum homePhone)
	{
		this.homePhone = homePhone;
	}
	
	/**
	 * Gets the cell phone.
	 *
	 * @return the cell phone
	 */
	public PhoneNum getCellPhone()
	{
		return cellPhone;
	}
	
	/**
	 * Sets the cell phone.
	 *
	 * @param cellPhone the new cell phone
	 */
	public void setCellPhone(PhoneNum cellPhone)
	{
		this.cellPhone = cellPhone;
	}
	
	/**
	 * Gets the email.
	 *
	 * @return the email
	 */
	public String getEmail()
	{
		return email;
	}
	
	/**
	 * Sets the email.
	 *
	 * @param email the new email
	 */
	public void setEmail(String email)
	{
		this.email = email;
	}
	
	/**
	 * Gets the demographics.
	 *
	 * @return the demographics
	 */
	public HashMap<String, DemographicSet> getDemographics()
	{
		return demographics;
	}
	
	/**
	 * Sets the demographics.
	 *
	 * @param demographics the demographics
	 */
	public void setDemographics(HashMap<String, DemographicSet> demographics)
	{
		this.demographics = demographics;
	}
}
