package gov.va.med.via.hl7.mpi;

public class ColumnDescription {

	EncodingCharacters encChars = new EncodingCharacters();
	private String fldname = "";
    private String dataType = "";
    private int colWidth = 0;
	
	public ColumnDescription() {}
	
	public ColumnDescription(String fldname, String dataType, int colWidth)
    {
        setFieldName( fldname);
        setDataType( dataType);
        setColumnWidth( colWidth);
    }

	public EncodingCharacters getEncodingCharacters() {
		return encChars;
	}

	public void setEncodingCharacters(EncodingCharacters encChars) {
		this.encChars = encChars;
	}

	public String getFieldName() {
		return fldname;
	}

	public void setFieldName(String fldname) {
		this.fldname = fldname;
	}

	public String getDataType() {
		return dataType;
	}

	public void setDataType(String dataType) {
		this.dataType = dataType;
	}

	public int getColumnWidth() {
		return colWidth;
	}

	public void setColumnWidth(int colWidth) {
		this.colWidth = colWidth;
	}

	public String toComponent()
    {
        String result = getFieldName() +
            getEncodingCharacters().getComponentSeparator() + getDataType() +
            getEncodingCharacters().getComponentSeparator() + getColumnWidth();
        return result;
    }

}
