package gov.va.med.via.hl7.mpi;

public class RdtColumn {

    private ColumnDescription description;
    private String[] values;

	
	public RdtColumn() {

	}

    public RdtColumn(ColumnDescription desc)
    {
        setDescription(desc);
        setValues( null);
    }

    public RdtColumn(ColumnDescription desc, String value)
    {
        setDescription( desc);
        setValues( new String[] { value });
    }

    public RdtColumn(ColumnDescription desc, String[] values)
    {
        setDescription( desc);
        setValues( values);
    }
	

	public ColumnDescription getDescription() {
		return description;
	}


	public void setDescription(ColumnDescription description) {
		this.description = description;
	}


	public String[] getValues() {
		return values;
	}


	public void setValues(String[] values) {
		this.values = values;
	}

}
