package gov.va.med.via.request;

/**
 * Constant class that defines processing parameters passed into core processing from web service calls
 * 
 * @author ZZZZZZTALBOM
 *
 */
public class ViaRequestMapKeyConstants {
	
	public static final String QUERY_BEAN_KEY = "queryBean";
	//public static final String VISIT_STRING_KEY = "visitString";
	public static final String NOTE_TITLE_KEY = "noteTitle";
	//public static final String AUTHOR_DUZ = "authorDuz";
	
	public static final String DAO_NAME_LIST_KEY = "daoNameList";
	public static final String WEB_METHOD_NAME_KEY = "webMethodName";
	public static final String TARGET_RPC_NAME_KEY = "targetRpcName";
	public static final String HASHMAP_KEY = "input";
	//public static final String TARGET_KEY = "target";
	//public static final String DIRECTION_KEY = "direction";
	//public static final String MAX_REX = "maxRex";
	
	public static final String LOGIN_ACCESS_CODE_KEY="accessCode";
	public static final String LOGIN_VERIFY_CODE_KEY="verifyCode";
	public static final String LOGIN_SITE_CODE_KEY="loginSiteCode";
	public static final String REQUESTING_APP_KEY="requestingApp";
	
	//Keys for web method name parameters
	//public static final String APPT_ID_KEY="apptId";
	//public static final String FROM_DATE_KEY="fromDate";	
	//public static final String TO_DATE_KEY="toDate";
	//public static final String NRPTS_KEY="nrpts";
	public static final String REPORT_REQUEST_ARG_KEY="reportRequestArgKey";	
	
	
	/// generic variables
	public static final String GENERIC_USE_PROXY="genericUseProxy";
	public static final String GENERIC_DUZ="genericDuz";
	public static final String GENERIC_USER ="genericUser";
	public static final String GENERIC_CONTEXT = "genericContext";
	public static final String GENERIC_RPC_NAME = "genericRpcName";
	public static final String GENERIC_RPC_PARAMETERS_LIST_KEY = "genericRpcParametersList";
		
	public static final String NOTE_DEFINITION_IEN = "noteDefinitionIen";
	public static final String NOTE_ENCOUNTER = "noteEncounter";
	public static final String NOTE_TEXT = "noteText";
	public static final String NOTE_AUTHOR_DUZ = "noteAuthorDuz";
	public static final String NOTE_COSIGNER_DUZ = "noteCosignerDuz";
	public static final String NOTE_CONSULT_IEN = "noteConsultIen";
	public static final String NOTE_PRF_IEN = "notePrfIen";
	public static final String NOTE_IEN = "noteIen";
	public static final String NOTE_ESIG = "noteEsig";
	
	public static final String CONSULT_IEN = "consultIen";

}
