package gov.va.med.via.request;

/**
 * The Class ViaWebMethodArgumentConstants.
 * 
 * @author DOMAINROMERJ
 */
public class ViaWebMethodArgumentConstants
{
	//BhieService
	
	//CallService
		
	//ClaimSvc
		
	//EmrSvc
	public static final String EMRSVC_GETADMISSIONSREPORTS_ARGUMENT = "OR_ADC:ADM./DISCHARGE~;;10;";
	public static final String EMRSVC_GETADVANCEDIRECTIVES_ARGUMENT = "OR_CD:ADVANCE DIRECTIVE~;;25;";
	public static final String EMRSVC_GETALLERGIES_ARGUMENT = "OR_BADR:ALLERGIES~ADR;ORDV01;73;";
	public static final String EMRSVC_GETAUTOPSYREPORTS_ARGUMENT = "OR_AU:AUTOPSY~;;0";
	public static final String EMRSVC_GETBLOODAVAILABILITYREPORT_ARGUMENT = "OR_BA:BLOOD AVAILABILITY~;;45;";
	public static final String EMRSVC_GETBLOODBANKREPORT_ARGUMENT = "2:BLOOD BANK REPORT~;;0";
	public static final String EMRSVC_GETBLOODTRANSFUSIONREPORT_ARGUMENT = "OR_BT:BLOOD TRANSFUSION~;;36;";
	public static final String EMRSVC_GETCHEMHEMREPORTSSIMPLE_ARGUMENT = "OR_CH:CHEM & HEMATOLOGY~CH;ORDV02;3;";
	public static final String EMRSVC_GETCLINICALWARNINGS_ARGUMENT = "OR_CW:CLINICAL WARNINGS~;;4;";
	public static final String EMRSVC_GETCOMPANDPENREPORTS_ARGUMENT = "OR_CP:COMP & PEN EXAMS~;;68;";
	public static final String EMRSVC_GETCRISISNOTES_ARGUMENT = "OR_CN:CRISIS NOTES~;;5;";
	public static final String EMRSVC_GETCYTOLOGYREPORTS_ARGUMENT = "OR_CY:CYTOLOGY~CY;ORDV02A;0;";
	public static final String EMRSVC_GETCYTOPATHOLOGYREPORT_ARGUMENT = "26:CYTOPATHOLOGY~;;0";
	public static final String EMRSVC_GETDISCHARGEDIAGNOSISREPORT_ARGUMENT = "OR_DD:DISCHARGE DIAGNOSIS~;;11;";
	public static final String EMRSVC_GETDISCHARGESREPORT_ARGUMENT = "OR_DC:DISCHARGES~;;8;";
	public static final String EMRSVC_GETDISCHARGESSUMMARIES_ARGUMENT = "OR_DS:DISCHARGE SUMMARY~TIUDCS;ORDV04;57;";
	public static final String EMRSVC_GETELECTRONMICROSCOPYREPORTS_ARGUMENT = "OR_EM:ELECTRON MICROSCOPY~EM;ORDV02A;0;";
	public static final String EMRSVC_GETEXPANDEDADTREPORT_ARGUMENT = "OR_EADT:EXPANDED ADT~;;64;";
	public static final String EMRSVC_GETFUTURECLINICVISITSREPORTS_ARGUMENT = "OR_CVF:FUTURE CLINIC VISITS~;;9;";
	public static final String EMRSVC_GETICDPROCEDURESREPORTS_ARGUMENT = "OR_PRC:ICD PROCEDURES~PRC;ORDV07;50;";
	public static final String EMRSVC_GETICDSURGERYREPORTS_ARGUMENT = "OR_OPC:ICD SURGERIES~ICDSUR;ORDV07;12;";
	public static final String EMRSVC_GETIMMUNIZATIONSREPORT_ARGUMENT = "OR_IM:IMMUNIZATIONS~;;207;";
	public static final String EMRSVC_GETMEDSADMINHX_ARGUMENT = "22:MED ADMIN HISTORY (BCMA)~;;0;";
	public static final String EMRSVC_GETMEDSADMINLOG_ARGUMENT = "23:MED ADMIN LOG (BCMA)~;;0;";
	public static final String EMRSVC_GETMICROBIOLOGYREPORT_ARGUMENT = "OR_MIC:MICROBIOLOGY~MI;ORDV05;38;";
	public static final String EMRSVC_GETOUTPATIENTENCOUNTERREPORT_ARGUMENT = "OR_OE:OUTPATIENT ENCOUNTER~;;205;";
	public static final String EMRSVC_GETOUTPATIENTRXPROFILE_ARGUMENT = "13:OUTPATIENT RX PROFILE~;;00";	
	public static final String EMRSVC_GETPASTCLINICVISITSREPORTS_ARGUMENT = "OR_CVP:PAST CLINIC VISITS~;;14;";
	public static final String EMRSVC_GETPROBLEMLIST_ALL_ARGUMENT = "OR_DODPLL:ALL PROBLEM LIST~PLAILALL;ORDV04;61;";
	public static final String EMRSVC_GETPROBLEMLIST_ACTIVE_ARGUMENT = "OR_PLA:ACTIVE PROBLEMS~PLAILA;ORDV04;59;";
	public static final String EMRSVC_GETPROBLEMLIST_INACTIVE_ARGUMENT = "OR_PLI:INACTIVE PROBLEMS~PLAILI;ORDV04;60;";
	public static final String EMRSVC_GETRADIOLOGYREPORTS_ARGUMENT = "OR_R18:IMAGING~RIM;ORDV08;0;";
	public static final String EMRSVC_GETTRANSFERSREPORT_ARGUMENT = "OR_TR:TRANSFERS~;;16;";
	public static final String EMRSVC_GETTREATINGSPECIALTYREPORT_ARGUMENT = "OR_TS:TREATING SPECIALTY~;;17;";
	public static final String EMRSVC_GETSURGERYREPORTTEXT_ARGUMENT = "28:SURGERY (LOCAL ONLY)~";
	public static final String EMRSVC_GETSURGICALPATHOLOGYREPORTS_ARGUMENT = "OR_SP:SURGICAL PATHOLOGY~SP;ORDV02A;0;";
	public static final String EMRSVC_GETVITALSIGNS_ARGUMENT= "OR_VS:VITAL SIGNS~VS;ORDV04;47;";
	
	//FixThePhonesSvc
	public static final String FIXTHEPHONESSVC_GETALLERGIES_ARGUMENT = "OR_BADR:ALLERGIES~ADR;ORDV01;73;";
	public static final String FIXTHEPHONESSVC_GETADVANCEDIRECTIVES_ARGUMENT = "OR_CD:ADVANCE DIRECTIVE~;;25;";
	public static final String FIXTHEPHONESSVC_GETFUTURECLINICVISITSREPORTS_ARGUMENT = "OR_CVF:FUTURE CLINIC VISITS~;;9;";
	public static final String FIXTHEPHONESSVC_GETIMMUNIZATIONSREPORT_ARGUMENT = "OR_IM:IMMUNIZATIONS~;;207;";
	public static final String FIXTHEPHONESSVC_GETPASTCLINICVISITSREPORTS_ARGUMENT = "OR_CVP:PAST CLINIC VISITS~;;14;";
	public static final String FIXTHEPHONESSVC_GETRADIOLOGYREPORTS_ARGUMENT = "OR_R18:IMAGING~RIM;ORDV08;0;";
	public static final String FIXTHEPHONESSVC_GETVITALSIGNS_ARGUMENT= "OR_VS:VITAL SIGNS~VS;ORDV04;47;";
}
