package gov.va.med.via.response;

import gov.va.med.via.databeans.DataBean;
import gov.va.med.via.databeans.QueryBean;
import gov.va.med.via.vistalink.command.VistaLinkCommand;

import java.util.List;

/**
 * Base DataBean parsing class - that establishes some very basic common functionality and properties all parser types will perform
 * 
 * @author ZZZZZZTALBOM
 *
 */
/**
 * @author ZZZZZZTALBOM
 *
 */
public abstract class BaseDataBeanParser implements DataBeanParser {
	
	 public static final String PLATFORM_VISTA_RPC = "VISTA_RPC";
	 public static final String PLATFORM_VISTA_CACHE = "VISTA_CACHE";
	 public static final String AGENCY_VA = "VA";
	
	 
	/* (non-Javadoc)
	 * @see gov.va.med.via.response.DataBeanParser#populateDataBeans(java.lang.String, gov.va.med.via.databeans.QueryBean, java.lang.String, java.lang.String, gov.va.med.via.vistalink.command.VistaLinkCommand)
	 */
	@Override
	public abstract List<DataBean> populateDataBeans(String response, QueryBean queryBean, String dfn, String siteId, String webMethodName, VistaLinkCommand vistaLinkCommand);


}
