package gov.va.med.via.vistalink;

import gov.va.med.via.databeans.Provider;


/**
 * Interface defines method to locate/determine a Vista Connection type
 * 
 * @author ZZZZZZTALBOM
 *
 */
public interface ConnectionSpecManager {

	/**
	 * Locates/determines a connection type
	 * 
	 * 
	 * @param provider
	 * @param currentSiteId
	 * @return int value representing a connnection type
	 */
	public int getConnectionSpecType(Provider provider, String currentSiteId);

}