package gov.va.med.via.dto.common;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * The Class RegionTO.
 */
@XmlRootElement(name="RegionTO")
@XmlAccessorType(XmlAccessType.NONE)
public class RegionTO
    extends AbstractTO
{
    
    /** The name. */
	@XmlElement(name="name")
    protected String name;
    
    /** The id. */
	@XmlElement(name="id")
    protected String id;
    
    /** The sites. */
	@XmlElement(name="sites")
    protected SiteArray sites;
	
	 /**
     * Instantiates a new region to.
     */
    public RegionTO()
    {
    	
    }
	
	/**
	 * Gets the name.
	 *
	 * @return the name
	 */
	public String getName()
	{
		return name;
	}
	
	/**
	 * Sets the name.
	 *
	 * @param name the new name
	 */
	public void setName(String name)
	{
		this.name = name;
	}
	
	/**
	 * Gets the id.
	 *
	 * @return the id
	 */
	public String getId()
	{
		return id;
	}
	
	/**
	 * Sets the id.
	 *
	 * @param id the new id
	 */
	public void setId(String id)
	{
		this.id = id;
	}
	
	/**
	 * Gets the sites.
	 *
	 * @return the sites
	 */
	public SiteArray getSites()
	{
		return sites;
	}
	
	/**
	 * Sets the sites.
	 *
	 * @param sites the new sites
	 */
	public void setSites(SiteArray sites)
	{
		this.sites = sites;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return "RegionTO [name=" + name + ", id=" + id + ", sites=" + sites
				+ ", toString()=" + super.toString() + "]";
	}
}