package gov.va.med.via.dto.common;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name="ZipcodeTO")
@XmlAccessorType(XmlAccessType.NONE)
public class ZipcodeTO
extends AbstractTO
{
	
	/** The code. */
	@XmlElement(name="code")
	protected String code;
	
	/** The city. */
	@XmlElement(name="city")
	protected String city;
	
	/** The state. */
	@XmlElement(name="state")
	protected String state;
	
	/** The state abbr. */
	@XmlElement(name="stateAbbr")
	protected String stateAbbr;
	
	/**
	 * Gets the code.
	 *
	 * @return the code
	 */
	public String getCode()
	{
		return code;
	}
	
	/**
	 * Sets the code.
	 *
	 * @param code the new code
	 */
	public void setCode(String code)
	{
		this.code = code;
	}
	
	/**
	 * Gets the city.
	 *
	 * @return the city
	 */
	public String getCity()
	{
		return city;
	}
	
	/**
	 * Sets the city.
	 *
	 * @param city the new city
	 */
	public void setCity(String city)
	{
		this.city = city;
	}
	
	/**
	 * Gets the state.
	 *
	 * @return the state
	 */
	public String getState()
	{
		return state;
	}
	
	/**
	 * Sets the state.
	 *
	 * @param state the new state
	 */
	public void setState(String state)
	{
		this.state = state;
	}
	
	/**
	 * Gets the state abbr.
	 *
	 * @return the state abbr
	 */
	public String getStateAbbr()
	{
		return stateAbbr;
	}
	
	/**
	 * Sets the state abbr.
	 *
	 * @param stateAbbr the new state abbr
	 */
	public void setStateAbbr(String stateAbbr)
	{
		this.stateAbbr = stateAbbr;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return "ZipcodeTO [code=" + code + ", city=" + city + ", state="
				+ state + ", stateAbbr=" + stateAbbr + ", toString()="
				+ super.toString() + "]";
	}
}