/**
 * 
 */


package gov.va.med.via.log4j;

import org.apache.log4j.Level;


/**
 * 
 */
public class RuntimeConfigurableJmsAppender
    extends
        JmsQueueAppender implements AopAppender
{
    public RuntimeConfigurableJmsAppender( )
    {
        super();
    }


    @Override
    public void setProviderURL( String providerURL )
    {
        // use system property as the overriding value if available.
        String viaProviderURL = System.getProperty( "via.jndi.provider.url" );
        if ( viaProviderURL != null )
        {
            providerURL = viaProviderURL;
        }

        super.setProviderURL( providerURL );
    }


	@Override
	public void setThreshold(Level level) {
		super.setThreshold(level);
		
	}
}
