/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.via.rpc;

/**
 *
 * @author vhahonbrunos
 */
@SuppressWarnings("serial")
public class RPCException extends Exception
{
    public RPCException(Exception e)
    {
        super(e);
    }

    public RPCException(String error)
    {
        super(error);
    }

    public RPCException(String message, Throwable cause)
    {
        super(message, cause);
    }

}
