/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.via.rpc;

/**
 *
 * @author vhahonbrunos
 */
public class UserOption
{
    private String number;
    private String id;
    private String name;
    private String displayName;
    private String key;
    private String reverseKey;
    private String type;
    private boolean primaryOption;

    public UserOption() 
    {
    }

    public UserOption(String number, String id, String name)
    {
        this.number = number;
        this.id = id;
        this.name = name;
        this.primaryOption = false;
    }

    public UserOption(String number, String id, String name, boolean primaryOption)
    {
        this.number = number;
        this.id = id;
        this.name = name;
        this.primaryOption = primaryOption;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public boolean isPrimaryOption() {
        return primaryOption;
    }

    public void setPrimaryOption(boolean primaryOption) {
        this.primaryOption = primaryOption;
    }

    public String getReverseKey() {
        return reverseKey;
    }

    public void setReverseKey(String reverseKey) {
        this.reverseKey = reverseKey;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
