<%@ page language="java"%>
<!-- taglib uri="/tags/struts-html" prefix="html" -->
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ include file="include/cache-control.inc"%>
<html:html>
	<head>
		<meta http-equiv="Content-Type"
			content="text/html; charset=ISO-8859-1">
		<title>VistALink Connector List</title>
<link rel="stylesheet" type="text/css" href="vistalinkj2m/standalone.css">
	</head>
	<body>

<script type="text/javascript">
<!--
function verifymoretime()
{
var message="${sessionTimeoutWarningIntervalMsg}";
alert(message);
}
function timer( ){
setTimeout("verifymoretime();",(${sessionTimeoutWarningTime}*1000));
}
timer(); // initial call to timer
// -->
</script>
	
		<%@ include file="include/toolbar1.inc"%>
			<html:link href="ConsoleMainAction.do" title="Jump to VistALink console main/top page">Console Main</html:link> &gt; 
			Connector Summary -
			<html:link
				href="DisplayInstitutionMappingAction.do?server=${server.serverConstructorAttributes}" title="Institution Mapping on server ${server.serverName}">Institution Mapping</html:link>
		<%@ include file="include/toolbar2.inc"%>

		<html:errors />

		<h2>
			Server: '${server.serverName}' VistALink Connector Summary
			<br>
			&nbsp;
		</h2>

		<div align="center">
		<table border="0" cellspacing="3" cellpadding="3" frame="hsides" rules="groups" summary="VistALink Connector Summary">
			<colgroup align="left">
			<colgroup align="center">
			<colgroup align="center" span="5">
			<colgroup align="left">
			<colgroup align="left">
			<tr>
				<th valign="bottom" align="left" scope="col"
					style="border-bottom: 1px solid black;white-space: nowrap;" title="JNDI name connector is deployed under on J2EE server">
					Deployed JNDI Name
				</th>
				<th valign="bottom" align="center" scope="col"
					style="border-bottom: 1px solid black;" title="Does the connection-instance JNDI name in weblogic-ra.xml match the custom connectorJndiName property in ra.xml?">
					JNDI<br>Mismatch?
				</th>
				<th valign="bottom" align="center" scope="col"
					style="border-bottom: 1px solid black;" title="Count of socket-level connection failures (network issues)">
					Conn<br>Socket<br>errs
				</th>
				<th valign="bottom" align="center" scope="col"
					style="border-bottom: 1px solid black;" title="Count of authentication-level connection failures (connection proxy logon problems)">
					Conn<br>Auth<br>errs
				</th>
				<th valign="bottom" align="center" scope="col"
					style="border-bottom: 1px solid black;" title="Count of mismatches between J2EE and M server based on production/test settings">
					Prod<br>Mismatch<br>errs
				</th>
				<th valign="bottom" align="center" scope="col"
					style="border-bottom: 1px solid black;" title="Count of mismatches between request and M server regarding requested division">
					Div<br>Mismatch<br>errs
				</th>
				<th valign="bottom" align="center" scope="col"
					style="border-bottom: 1px solid black;" title="Count of re-authentication failures on the connection (application-level user logons)">
					Re-Auth<br>errs
				</th>
				<th valign="bottom" align="left" scope="col" 
					style="border-bottom: 1px solid black;white-space: nowrap;" title="DNS/IP address and port of M system being connected to">
					<b>M System Info</b>
				</th>
				<th valign="bottom" align="left" scope="col"
					style="border-bottom: 1px solid black;white-space: nowrap;" title="Connector deployment state on J2EE server">
					<b>Deployment State</b>
				</th>
			</tr>
			<c:if test="${not empty connectorsMap}">
				<c:forEach var="conn" items="${connectorsMap}">
					<tr>
						<td align="left" scope="row">
							<html:link
								href="DisplayConnectorAction.do?server=${server.serverConstructorAttributes}&connectorDetailObjectName=${conn.key}" title="JNDI name connector is deployed under on J2EE server -- Select to display connector detail">
								${empty conn.value.jcaJndiName ? "tbd" : conn.value.jcaJndiName}
							</html:link>
						</td>
						<td align="center" title="Does the connection-instance JNDI name in weblogic-ra.xml match the custom connectorJndiName property in ra.xml?">
							<c:if test="${conn.value.jndiMismatch}">MISMATCH!</c:if>
							<c:choose>
								<c:when test="${conn.value.jndiMismatch}">MISMATCH!</c:when>
								<c:otherwise>ok</c:otherwise>
							</c:choose>
						</td>
						<td align="center" title="Count of socket-level connection failures (network issues)">
							${conn.value.hlthConnectionFailureCount}
						</td>
						<td align="center" title="Count of authentication-level connection failures (connection proxy logon problems)">
							${conn.value.hlthConnectionAuthFailureCount}
						</td>
						<td align="center" title="Count of mismatches between J2EE and M server based on production/test settings">
							${conn.value.hlthProductionMismatchCount}
						</td>
						<td align="center" title="Count of mismatches between request and M server regarding requested division">
							${conn.value.hlthDivisionMismatchCount}
						</td>
						<td align="center" title="Count of re-authentication failures on the connection (application-level user logons)">
							${conn.value.hlthIdentityFailureCount}
						</td>
						<td align="left" title="DNS/IP address and port of M system being connected to">
						    <c:choose>
						      <c:when test="${(empty conn.value.cfgIpAddress) && (conn.value.cfgPort == 0)}">not initialized</c:when>
						      <c:otherwise>${conn.value.cfgIpAddress}/${conn.value.cfgPort}</c:otherwise>
						    </c:choose>
						</td>
						<td align="left" title="Connector deployment state on J2EE server">
							${conn.value.jcaDeploymentStateString}
						</td>
					</tr>
				</c:forEach>
			</c:if>
		</table>
		</div>

		<%@ include file="include/footer.inc"%>

	</body>
</html:html>
