from java import util
from java import io
from java.lang import String

def undeployVistaLinkConsoleApp(properties):
	print 'Undeploying VistaLink Application'
# try:
	userName=String(properties.getProperty("via.appserver.admin.username"))
	password=String(properties.getProperty("via.appserver.admin.password"))
	adminUrl=String(properties.getProperty("via.appserver.admin.url"))
	connect(userName, password,adminUrl)
	cd("AppDeployments")
	for i in ls().split() : 
		if( i.count('VistaLinkConsole') > 0 ) :
			undeploy(i)
			
	for i in ls().split() : 
		if( i.count('vistalink-ra') > 0 ) :
			undeploy(i)		
	disconnect()
#except:
#	print 'Unable to Undeploy VistaLink...trying to deploy'
	
# end undeployVistaLinkConsoleApp()

def doBounceWeblogic(properties, applicationName, applicationFilePath):
	print 'Bouncing Weblogic Server'
    
	hostNameStartIndex=String(properties.getProperty("via.appserver.admin.url")).indexOf("//")
	hostNameStopIndex=String(properties.getProperty("via.appserver.admin.url")).indexOf(":",hostNameStartIndex)
	hostName=String(properties.getProperty("via.appserver.admin.url")).substring(hostNameStartIndex+2,hostNameStopIndex)
    
	if (properties.getProperty("via.appserver.target.server") != (properties.getProperty("via.appserver.domainname")+'.admin')): 
		'''SHUTDOWN Managed Servers'''

		nmPort=properties.getProperty("via.nmPort")
		if nmPort is None:
			nmPort='5556'

		nmConnect(properties.getProperty("via.appserver.admin.username"),properties.getProperty("via.appserver.admin.password"), hostName, nmPort, properties.getProperty('via.appserver.domainname'))
      
		nmKill(properties.getProperty('via.appserver.target.server')) 
		nmStart(properties.getProperty('via.appserver.target.server'))    
    
		nmDisconnect();
	else: 
		'''SHUTDOWN and RESTART Admin Server, if Admin Server is the Target'''
		shutdown(properties.getProperty("via.appserver.domainname")+'.admin','Server')
		startServer(properties.getProperty('via.appserver.target.server'), properties.getProperty('via.appserver.domainname'), properties.getProperty('via.appserver.admin.url'), properties.getProperty('via.appserver.admin.username'), properties.getProperty('via.appserver.admin.password'),properties.get('via.appserver.domaindir'))
#end doBounceWeblogic()
    
def deployVistaLinkConsoleApp(properties):
	print 'Deploying VistaLink Enterprise Application'
	connect(properties.getProperty("via.appserver.admin.username"), properties.getProperty("via.appserver.admin.password"), properties.getProperty("via.appserver.admin.url"))
	cd("AppDeployments")
	targetServer=String(properties.getProperty("via.appserver.target.server"))
	print 'application file path: ' + applicationFilePath
	deploy(applicationName, applicationFilePath, targetServer, upload='true')
	startApplication(applicationName)
	
	deploy(vistaLinkRarName, vistaLinkFilePath, targetServer, upload='true')
	startApplication(vistaLinkRarName)
	
	disconnect()
	
#end deployViaEnterpriseApplication()

runPropertiesPath = sys.argv[1]
bounceWeblogic = sys.argv[2]
applicationName = sys.argv[3]
applicationFilePath = sys.argv[4]
vistaLinkRarName = sys.argv[5]
vistaLinkFilePath = sys.argv[6]


props = util.Properties();
fis = io.FileInputStream(io.File(runPropertiesPath));
props.load(fis);

# undeploy any VIA EAR that is currently deployed.
try:
	print "starting undeploy"
	undeployVistaLinkConsoleApp(props)
	print "undeploy succeeded"
except:
	print "undeploy failed"

# deploy the VIA EAR to the target server.
deployVistaLinkConsoleApp(props)

# bounce the server if requested
if(bounceWeblogic == 'true'):
	doBounceWeblogic(props, applicationName, applicationFilePath)

exit()
